set key bottom
set grid
set pointsize 0.3
set yrange [0:]
set title "CHEMVU on a <Tesla P100>"
set xlabel "[dimension]"
set ylabel "[GFLOPS]"
set term post eps color
set output "plot_data_P100SXM216GB_CHEMVU.eps"
plot   "log-ASPEN.K2-1.6p1-CHEMVU-P100SXM216GB-375.39" u 2:($5<2*1141.2?$5:-1000) t "log-ASPEN.K2-1.6p1-CHEMVU-P100SXM216GB-375.39" , "log-CUDA-8.0-CHEMVU-P100SXM216GB-375.39" u 2:($5<2*1141.2?$5:-1000) t "log-CUDA-8.0-CHEMVU-P100SXM216GB-375.39" , "log-CUDA-8.0-CHEMVUnoAtomic-P100SXM216GB-375.39" u 2:($5<2*1141.2?$5:-1000) t "log-CUDA-8.0-CHEMVUnoAtomic-P100SXM216GB-375.39" 
clear
set term png
set output "plot_data_P100SXM216GB_CHEMVU.png"
plot   "log-ASPEN.K2-1.6p1-CHEMVU-P100SXM216GB-375.39" u 2:($5<2*1141.2?$5:-1000) t "log-ASPEN.K2-1.6p1-CHEMVU-P100SXM216GB-375.39" , "log-CUDA-8.0-CHEMVU-P100SXM216GB-375.39" u 2:($5<2*1141.2?$5:-1000) t "log-CUDA-8.0-CHEMVU-P100SXM216GB-375.39" , "log-CUDA-8.0-CHEMVUnoAtomic-P100SXM216GB-375.39" u 2:($5<2*1141.2?$5:-1000) t "log-CUDA-8.0-CHEMVUnoAtomic-P100SXM216GB-375.39" 
clear
exit
