set key bottom
set grid
set pointsize 0.3
set yrange [0:]
set title "ZHEMVL on a <Tesla K20c>"
set xlabel "[dimension]"
set ylabel "[GFLOPS]"
set term post eps color
set output "plot_data_K20c_ZHEMVL.eps"
plot   "log-ASPEN.K2-1.6p1-ZHEMVL-K20c-384.59" u 2:($5<2*136.3?$5:-1000) t "log-ASPEN.K2-1.6p1-ZHEMVL-K20c-384.59" , "log-CUDA-9.0RC-ZHEMVL-K20c-384.59" u 2:($5<2*136.3?$5:-1000) t "log-CUDA-9.0RC-ZHEMVL-K20c-384.59" , "log-CUDA-9.0RC-ZHEMVLnoAtomic-K20c-384.59" u 2:($5<2*136.3?$5:-1000) t "log-CUDA-9.0RC-ZHEMVLnoAtomic-K20c-384.59" 
clear
set term png
set output "plot_data_K20c_ZHEMVL.png"
plot   "log-ASPEN.K2-1.6p1-ZHEMVL-K20c-384.59" u 2:($5<2*136.3?$5:-1000) t "log-ASPEN.K2-1.6p1-ZHEMVL-K20c-384.59" , "log-CUDA-9.0RC-ZHEMVL-K20c-384.59" u 2:($5<2*136.3?$5:-1000) t "log-CUDA-9.0RC-ZHEMVL-K20c-384.59" , "log-CUDA-9.0RC-ZHEMVLnoAtomic-K20c-384.59" u 2:($5<2*136.3?$5:-1000) t "log-CUDA-9.0RC-ZHEMVLnoAtomic-K20c-384.59" 
clear
exit
