#if 0
<--/****************************************
Automatic Performance Tuning for DSYMV-U
Mon Sep 25 07:39:50 JST 2017
Host on newton.aics27.riken.jp
Device is GeForce-GTX-TITAN-Black
****************************************/-->
// device name
DEVICE= GeForce-GTX-TITAN-Black
// the number of multi-processors
MP= 15
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 6377540096
// for double or cuFloatComplex
MAXDIM= 26822
// for float
MAXDIM2= 37933
// for cuDoubleComplex or DD
MAXDIM3= 18966
// for DD-Complex
MAXDIM4= 13411
// cuda version
CUDA= 7050
<--
#define CURRENT_GPU 350
-->
#endif
{
//==========
if(blk==-1){
	#include "dsymv-upper-auto2.h"
}
//==========
#if 0
struct dsymv_auto_tuning_param_t { 
	int	BLOCK_SIZE, GY, VX, UX, MULTI, MX; 
} PARAM[22] = {
	{ 32, 2, 4, 52, 5, 21 },
	{ 32, 2, 4, 52, 5, 31 },
	{ 32, 2, 4, 52, 5, 30 },
	{ 32, 2, 4, 52, 5, 28 },
	{ 32, 2, 4, 52, 5, 23 },
	{ 32, 3, 4, 52, 5, 28 },
	{ 32, 4, 4, 52, 5, 27 },
	{ 32, 3, 4, 52, 5, 21 },
	{ 32, 3, 4, 52, 5, 27 },
	{ 32, 5, 5, 65, 4, 21 },
	{ 32, 4, 4, 52, 5, 26 },
	{ 32, 2, 4, 52, 5, 26 },
	{ 32, 3, 4, 52, 5, 23 },
	{ 32, 2, 5, 65, 4, 21 },
	{ 32, 2, 4, 52, 5, 27 },
	{ 32, 3, 4, 52, 5, 26 },
	{ 32, 2, 5, 65, 4, 20 },
	{ 32, 4, 4, 52, 5, 21 },
	{ 32, 3, 5, 65, 4, 21 },
	{ 32, 2, 1, 1, 1, 1 },
	{ 0, 0, 0, 0, 0, 0 }
};
#endif
//==========
switch ( BLK ) {
#if KERNEL_1
case 1:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 2, 4, 52, 5, 21 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_2
case 2:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 2, 4, 52, 5, 31 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_3
case 3:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 2, 4, 52, 5, 30 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_4
case 4:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 2, 4, 52, 5, 28 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_5
case 5:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 2, 4, 52, 5, 23 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_6
case 6:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 3, 4, 52, 5, 28 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_7
case 7:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 4, 4, 52, 5, 27 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_8
case 8:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 3, 4, 52, 5, 21 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_9
case 9:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 3, 4, 52, 5, 27 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_10
case 10:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 5, 5, 65, 4, 21 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_11
case 11:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 4, 4, 52, 5, 26 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_12
case 12:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 2, 4, 52, 5, 26 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_13
case 13:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 3, 4, 52, 5, 23 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_14
case 14:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 2, 5, 65, 4, 21 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_15
case 15:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 2, 4, 52, 5, 27 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_16
case 16:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 3, 4, 52, 5, 26 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_17
case 17:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 2, 5, 65, 4, 20 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_18
case 18:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 4, 4, 52, 5, 21 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_19
case 19:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 3, 5, 65, 4, 21 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_20
case 20:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 2, 1, 1, 1, 1 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
default:
	break;
}
//==========
}
