#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-L
Mon Sep 25 04:01:16 JST 2017
Host on newton.aics27.riken.jp
Device is GeForce-GTX-TITAN-Black
****************************************/-->
// device name
DEVICE= GeForce-GTX-TITAN-Black
// the number of multi-processors
MP= 15
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 6377540096
// for double or cuFloatComplex
MAXDIM= 26822
// for float
MAXDIM2= 37933
// for cuDoubleComplex or DD
MAXDIM3= 18966
// for DD-Complex
MAXDIM4= 13411
// cuda version
CUDA= 8000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_7	1
#define	KERNEL_8	1
#define	KERNEL_10	1
#define	KERNEL_13	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_16	1
#define	KERNEL_3	1

if ( n >= 1 && n < 32 ) {
	BLK = 7;
} else
if ( n >= 32 && n < 99 ) {
	BLK = 10;
} else
if ( n >= 99 && n < 178 ) {
	BLK = 13;
} else
if ( n >= 178 && n < 232 ) {
	BLK = 10;
} else
if ( n >= 232 && n < 366 ) {
	BLK = 13;
} else
if ( n >= 366 && n < 422 ) {
	BLK = 10;
} else
if ( n >= 422 && n < 504 ) {
	BLK = 13;
} else
if ( n >= 504 && n < 577 ) {
	BLK = 10;
} else
if ( n >= 577 && n < 662 ) {
	BLK = 13;
} else
if ( n >= 662 && n < 665 ) {
	BLK = 2;
} else
if ( n >= 665 && n < 781 ) {
	BLK = 10;
} else
if ( n >= 781 && n < 823 ) {
	BLK = 13;
} else
if ( n >= 823 && n < 870 ) {
	BLK = 1;
} else
if ( n >= 870 && n < 953 ) {
	BLK = 13;
} else
if ( n >= 953 && n < 990 ) {
	BLK = 10;
} else
if ( n >= 990 && n < 1078 ) {
	BLK = 7;
} else
if ( n >= 1078 && n < 1144 ) {
	BLK = 10;
} else
if ( n >= 1144 && n < 1470 ) {
	BLK = 1;
} else
if ( n >= 1470 && n < 1556 ) {
	BLK = 7;
} else
if ( n >= 1556 && n < 2324 ) {
	BLK = 1;
} else
if ( n >= 2324 && n < 2474 ) {
	BLK = 8;
} else
if ( n >= 2474 && n < 2785 ) {
	BLK = 1;
} else
if ( n >= 2785 && n < 2870 ) {
	BLK = 8;
} else
if ( n >= 2870 && n < 3450 ) {
	BLK = 1;
} else
if ( n >= 3450 && n < 3487 ) {
	BLK = 8;
} else
if ( n >= 3487 && n < 3957 ) {
	BLK = 1;
} else
if ( n >= 3957 && n < 4024 ) {
	BLK = 3;
} else
if ( n >= 4024 && n < 4433 ) {
	BLK = 1;
} else
if ( n >= 4433 && n < 4550 ) {
	BLK = 3;
} else
if ( n >= 4550 && n < 6097 ) {
	BLK = 1;
} else
if ( n >= 6097 && n < 7829 ) {
	BLK = 3;
} else
if ( n >= 7829 && n < 7937 ) {
	BLK = 1;
} else
if ( n >= 7937 && n < 8057 ) {
	BLK = 16;
} else
if ( n >= 8057 && n < 8447 ) {
	BLK = 3;
} else
if ( n >= 8447 && n < 8725 ) {
	BLK = 1;
} else
if ( n >= 8725 && n < 9689 ) {
	BLK = 3;
} else
if ( n >= 9689 && n < 9806 ) {
	BLK = 1;
} else
if ( n >= 9806 && n < 1000000 ) {
	BLK = 3;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 3;
}
