#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-U
Sun Sep 24 14:18:45 JST 2017
Host on newton.aics27.riken.jp
Device is GeForce-GTX-TITAN-Black
****************************************/-->
// device name
DEVICE= GeForce-GTX-TITAN-Black
// the number of multi-processors
MP= 15
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 6377540096
// for double or cuFloatComplex
MAXDIM= 26822
// for float
MAXDIM2= 37933
// for cuDoubleComplex or DD
MAXDIM3= 18966
// for DD-Complex
MAXDIM4= 13411
// cuda version
CUDA= 8000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_7	1
#define	KERNEL_12	1
#define	KERNEL_1	1
#define	KERNEL_15	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 33 ) {
	BLK = 3;
} else
if ( n >= 33 && n < 88 ) {
	BLK = 7;
} else
if ( n >= 88 && n < 390 ) {
	BLK = 2;
} else
if ( n >= 390 && n < 442 ) {
	BLK = 5;
} else
if ( n >= 442 && n < 785 ) {
	BLK = 2;
} else
if ( n >= 785 && n < 821 ) {
	BLK = 7;
} else
if ( n >= 821 && n < 1019 ) {
	BLK = 2;
} else
if ( n >= 1019 && n < 1351 ) {
	BLK = 7;
} else
if ( n >= 1351 && n < 1414 ) {
	BLK = 15;
} else
if ( n >= 1414 && n < 1551 ) {
	BLK = 7;
} else
if ( n >= 1551 && n < 1979 ) {
	BLK = 2;
} else
if ( n >= 1979 && n < 2023 ) {
	BLK = 4;
} else
if ( n >= 2023 && n < 2083 ) {
	BLK = 2;
} else
if ( n >= 2083 && n < 2119 ) {
	BLK = 4;
} else
if ( n >= 2119 && n < 2269 ) {
	BLK = 1;
} else
if ( n >= 2269 && n < 2470 ) {
	BLK = 4;
} else
if ( n >= 2470 && n < 2576 ) {
	BLK = 1;
} else
if ( n >= 2576 && n < 2745 ) {
	BLK = 4;
} else
if ( n >= 2745 && n < 2869 ) {
	BLK = 12;
} else
if ( n >= 2869 && n < 3101 ) {
	BLK = 4;
} else
if ( n >= 3101 && n < 3158 ) {
	BLK = 1;
} else
if ( n >= 3158 && n < 3601 ) {
	BLK = 4;
} else
if ( n >= 3601 && n < 4442 ) {
	BLK = 1;
} else
if ( n >= 4442 && n < 4596 ) {
	BLK = 3;
} else
if ( n >= 4596 && n < 5634 ) {
	BLK = 1;
} else
if ( n >= 5634 && n < 5713 ) {
	BLK = 3;
} else
if ( n >= 5713 && n < 6734 ) {
	BLK = 1;
} else
if ( n >= 6734 && n < 6914 ) {
	BLK = 3;
} else
if ( n >= 6914 && n < 7957 ) {
	BLK = 1;
} else
if ( n >= 7957 && n < 8278 ) {
	BLK = 3;
} else
if ( n >= 8278 && n < 24754 ) {
	BLK = 1;
} else
if ( n >= 24754 && n < 26057 ) {
	BLK = 3;
} else
if ( n >= 26057 && n < 1000000 ) {
	BLK = 1;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 1;
}
