#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-L
Sat Sep 30 02:30:29 JST 2017
Host on newton.aics27.riken.jp
Device is GeForce-GTX-TITAN-Black
****************************************/-->
// device name
DEVICE= GeForce-GTX-TITAN-Black
// the number of multi-processors
MP= 15
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 6377540096
// for double or cuFloatComplex
MAXDIM= 26822
// for float
MAXDIM2= 37933
// for cuDoubleComplex or DD
MAXDIM3= 18966
// for DD-Complex
MAXDIM4= 13411
// cuda version
CUDA= 9000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_8	1
#define	KERNEL_12	1
#define	KERNEL_2	1
#define	KERNEL_16	1
#define	KERNEL_3	1

if ( n >= 1 && n < 94 ) {
	BLK = 8;
} else
if ( n >= 94 && n < 102 ) {
	BLK = 16;
} else
if ( n >= 102 && n < 153 ) {
	BLK = 4;
} else
if ( n >= 153 && n < 261 ) {
	BLK = 5;
} else
if ( n >= 261 && n < 319 ) {
	BLK = 16;
} else
if ( n >= 319 && n < 329 ) {
	BLK = 4;
} else
if ( n >= 329 && n < 375 ) {
	BLK = 5;
} else
if ( n >= 375 && n < 497 ) {
	BLK = 4;
} else
if ( n >= 497 && n < 611 ) {
	BLK = 3;
} else
if ( n >= 611 && n < 612 ) {
	BLK = 5;
} else
if ( n >= 612 && n < 635 ) {
	BLK = 8;
} else
if ( n >= 635 && n < 642 ) {
	BLK = 2;
} else
if ( n >= 642 && n < 673 ) {
	BLK = 4;
} else
if ( n >= 673 && n < 724 ) {
	BLK = 12;
} else
if ( n >= 724 && n < 768 ) {
	BLK = 3;
} else
if ( n >= 768 && n < 791 ) {
	BLK = 16;
} else
if ( n >= 791 && n < 843 ) {
	BLK = 12;
} else
if ( n >= 843 && n < 885 ) {
	BLK = 16;
} else
if ( n >= 885 && n < 916 ) {
	BLK = 4;
} else
if ( n >= 916 && n < 927 ) {
	BLK = 5;
} else
if ( n >= 927 && n < 992 ) {
	BLK = 3;
} else
if ( n >= 992 && n < 1111 ) {
	BLK = 4;
} else
if ( n >= 1111 && n < 1194 ) {
	BLK = 5;
} else
if ( n >= 1194 && n < 1297 ) {
	BLK = 4;
} else
if ( n >= 1297 && n < 1637 ) {
	BLK = 5;
} else
if ( n >= 1637 && n < 1697 ) {
	BLK = 3;
} else
if ( n >= 1697 && n < 2029 ) {
	BLK = 5;
} else
if ( n >= 2029 && n < 2094 ) {
	BLK = 4;
} else
if ( n >= 2094 && n < 2661 ) {
	BLK = 5;
} else
if ( n >= 2661 && n < 2852 ) {
	BLK = 4;
} else
if ( n >= 2852 && n < 4626 ) {
	BLK = 5;
} else
if ( n >= 4626 && n < 4772 ) {
	BLK = 4;
} else
if ( n >= 4772 && n < 5674 ) {
	BLK = 5;
} else
if ( n >= 5674 && n < 5728 ) {
	BLK = 4;
} else
if ( n >= 5728 && n < 7288 ) {
	BLK = 5;
} else
if ( n >= 7288 && n < 7558 ) {
	BLK = 4;
} else
if ( n >= 7558 && n < 8041 ) {
	BLK = 5;
} else
if ( n >= 8041 && n < 8274 ) {
	BLK = 4;
} else
if ( n >= 8274 && n < 9208 ) {
	BLK = 5;
} else
if ( n >= 9208 && n < 9486 ) {
	BLK = 4;
} else
if ( n >= 9486 && n < 1000000 ) {
	BLK = 5;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 5;
}
