#if 0
<--/****************************************
Automatic Performance Tuning for SSYMV-L
Thu Sep 28 22:53:31 JST 2017
Host on newton.aics27.riken.jp
Device is GeForce-GTX-TITAN-Black
****************************************/-->
// device name
DEVICE= GeForce-GTX-TITAN-Black
// the number of multi-processors
MP= 15
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 6377540096
// for double or cuFloatComplex
MAXDIM= 26822
// for float
MAXDIM2= 37933
// for cuDoubleComplex or DD
MAXDIM3= 18966
// for DD-Complex
MAXDIM4= 13411
// cuda version
CUDA= 9000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_6	1
#define	KERNEL_7	1
#define	KERNEL_11	1
#define	KERNEL_13	1
#define	KERNEL_14	1
#define	KERNEL_1	1
#define	KERNEL_15	1
#define	KERNEL_16	1
#define	KERNEL_3	1

if ( n >= 1 && n < 110 ) {
	BLK = 14;
} else
if ( n >= 110 && n < 120 ) {
	BLK = 7;
} else
if ( n >= 120 && n < 164 ) {
	BLK = 11;
} else
if ( n >= 164 && n < 233 ) {
	BLK = 14;
} else
if ( n >= 233 && n < 259 ) {
	BLK = 11;
} else
if ( n >= 259 && n < 265 ) {
	BLK = 7;
} else
if ( n >= 265 && n < 326 ) {
	BLK = 4;
} else
if ( n >= 326 && n < 360 ) {
	BLK = 1;
} else
if ( n >= 360 && n < 443 ) {
	BLK = 11;
} else
if ( n >= 443 && n < 473 ) {
	BLK = 1;
} else
if ( n >= 473 && n < 488 ) {
	BLK = 4;
} else
if ( n >= 488 && n < 521 ) {
	BLK = 16;
} else
if ( n >= 521 && n < 522 ) {
	BLK = 11;
} else
if ( n >= 522 && n < 588 ) {
	BLK = 7;
} else
if ( n >= 588 && n < 614 ) {
	BLK = 16;
} else
if ( n >= 614 && n < 627 ) {
	BLK = 14;
} else
if ( n >= 627 && n < 680 ) {
	BLK = 11;
} else
if ( n >= 680 && n < 717 ) {
	BLK = 7;
} else
if ( n >= 717 && n < 760 ) {
	BLK = 4;
} else
if ( n >= 760 && n < 783 ) {
	BLK = 13;
} else
if ( n >= 783 && n < 839 ) {
	BLK = 11;
} else
if ( n >= 839 && n < 866 ) {
	BLK = 16;
} else
if ( n >= 866 && n < 923 ) {
	BLK = 7;
} else
if ( n >= 923 && n < 928 ) {
	BLK = 11;
} else
if ( n >= 928 && n < 1089 ) {
	BLK = 4;
} else
if ( n >= 1089 && n < 1227 ) {
	BLK = 14;
} else
if ( n >= 1227 && n < 1371 ) {
	BLK = 16;
} else
if ( n >= 1371 && n < 1489 ) {
	BLK = 11;
} else
if ( n >= 1489 && n < 1644 ) {
	BLK = 16;
} else
if ( n >= 1644 && n < 1914 ) {
	BLK = 4;
} else
if ( n >= 1914 && n < 1996 ) {
	BLK = 16;
} else
if ( n >= 1996 && n < 2112 ) {
	BLK = 4;
} else
if ( n >= 2112 && n < 2305 ) {
	BLK = 1;
} else
if ( n >= 2305 && n < 2412 ) {
	BLK = 16;
} else
if ( n >= 2412 && n < 2590 ) {
	BLK = 15;
} else
if ( n >= 2590 && n < 2818 ) {
	BLK = 1;
} else
if ( n >= 2818 && n < 2890 ) {
	BLK = 4;
} else
if ( n >= 2890 && n < 3141 ) {
	BLK = 3;
} else
if ( n >= 3141 && n < 3357 ) {
	BLK = 1;
} else
if ( n >= 3357 && n < 3437 ) {
	BLK = 6;
} else
if ( n >= 3437 && n < 3555 ) {
	BLK = 3;
} else
if ( n >= 3555 && n < 4079 ) {
	BLK = 1;
} else
if ( n >= 4079 && n < 4139 ) {
	BLK = 3;
} else
if ( n >= 4139 && n < 4834 ) {
	BLK = 1;
} else
if ( n >= 4834 && n < 4945 ) {
	BLK = 3;
} else
if ( n >= 4945 && n < 6489 ) {
	BLK = 1;
} else
if ( n >= 6489 && n < 6630 ) {
	BLK = 3;
} else
if ( n >= 6630 && n < 15661 ) {
	BLK = 1;
} else
if ( n >= 15661 && n < 16119 ) {
	BLK = 3;
} else
if ( n >= 16119 && n < 24660 ) {
	BLK = 1;
} else
if ( n >= 24660 && n < 25612 ) {
	BLK = 3;
} else
if ( n >= 25612 && n < 34960 ) {
	BLK = 1;
} else
if ( n >= 34960 && n < 36946 ) {
	BLK = 16;
} else
if ( n >= 36946 && n < 1000000 ) {
	BLK = 1;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 1;
}
