#if 0
<--/****************************************
Automatic Performance Tuning for DSYMV-L
Wed Sep 27 18:40:05 JST 2017
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972736768
// for double or cuFloatComplex
MAXDIM= 23685
// for float
MAXDIM2= 33495
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11842
// cuda version
CUDA= 7000
<--
#define CURRENT_GPU 350
-->
#endif
{
//==========
if(blk==-1){
	#include "dsymv-lower-auto2.h"
}
//==========
#if 0
struct dsymv_auto_tuning_param_t { 
	int	BLOCK_SIZE, GY, VX, UX, MULTI, MX; 
} PARAM[22] = {
	{ 32, 7, 8, 80, 3, 29 },
	{ 32, 2, 8, 80, 3, 29 },
	{ 32, 2, 4, 52, 5, 9 },
	{ 32, 3, 4, 52, 5, 0 },
	{ 32, 2, 8, 80, 3, 20 },
	{ 32, 7, 8, 80, 3, 23 },
	{ 32, 9, 4, 52, 5, 5 },
	{ 32, 6, 4, 52, 5, 0 },
	{ 32, 4, 8, 80, 3, 20 },
	{ 32, 2, 4, 52, 5, 5 },
	{ 32, 7, 4, 52, 5, 0 },
	{ 32, 5, 4, 52, 5, 0 },
	{ 32, 9, 4, 52, 5, 1 },
	{ 32, 5, 4, 52, 5, 21 },
	{ 32, 6, 4, 52, 5, 6 },
	{ 32, 2, 4, 52, 5, 0 },
	{ 32, 4, 8, 80, 3, 23 },
	{ 32, 8, 8, 80, 3, 29 },
	{ 32, 6, 8, 80, 3, 29 },
	{ 32, 9, 8, 80, 3, 23 },
	{ 0, 0, 0, 0, 0, 0 }
};
#endif
//==========
switch ( BLK ) {
#if KERNEL_1
case 1:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 7, 8, 80, 3, 29 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_2
case 2:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 2, 8, 80, 3, 29 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_3
case 3:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 2, 4, 52, 5, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_4
case 4:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 3, 4, 52, 5, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_5
case 5:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 2, 8, 80, 3, 20 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_6
case 6:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 7, 8, 80, 3, 23 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_7
case 7:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 9, 4, 52, 5, 5 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_8
case 8:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 6, 4, 52, 5, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_9
case 9:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 4, 8, 80, 3, 20 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_10
case 10:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 2, 4, 52, 5, 5 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_11
case 11:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 7, 4, 52, 5, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_12
case 12:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 5, 4, 52, 5, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_13
case 13:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 9, 4, 52, 5, 1 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_14
case 14:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 5, 4, 52, 5, 21 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_15
case 15:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 6, 4, 52, 5, 6 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_16
case 16:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 2, 4, 52, 5, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_17
case 17:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 4, 8, 80, 3, 23 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_18
case 18:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 8, 8, 80, 3, 29 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_19
case 19:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 6, 8, 80, 3, 29 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_20
case 20:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 32, 9, 8, 80, 3, 23 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
default:
	break;
}
//==========
}
