#if 0
<--/****************************************
Automatic Performance Tuning for DSYMV-L
Tue Sep 26 16:01:22 JST 2017
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972736768
// for double or cuFloatComplex
MAXDIM= 23685
// for float
MAXDIM2= 33495
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11842
// cuda version
CUDA= 7050
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_7	1
#define	KERNEL_8	1
#define	KERNEL_9	1
#define	KERNEL_10	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 126 ) {
	BLK = 9;
} else
if ( n >= 126 && n < 167 ) {
	BLK = 2;
} else
if ( n >= 167 && n < 236 ) {
	BLK = 3;
} else
if ( n >= 236 && n < 268 ) {
	BLK = 8;
} else
if ( n >= 268 && n < 325 ) {
	BLK = 10;
} else
if ( n >= 325 && n < 330 ) {
	BLK = 7;
} else
if ( n >= 330 && n < 407 ) {
	BLK = 2;
} else
if ( n >= 407 && n < 681 ) {
	BLK = 3;
} else
if ( n >= 681 && n < 729 ) {
	BLK = 10;
} else
if ( n >= 729 && n < 872 ) {
	BLK = 2;
} else
if ( n >= 872 && n < 895 ) {
	BLK = 10;
} else
if ( n >= 895 && n < 938 ) {
	BLK = 3;
} else
if ( n >= 938 && n < 973 ) {
	BLK = 5;
} else
if ( n >= 973 && n < 994 ) {
	BLK = 3;
} else
if ( n >= 994 && n < 1123 ) {
	BLK = 2;
} else
if ( n >= 1123 && n < 1294 ) {
	BLK = 9;
} else
if ( n >= 1294 && n < 1576 ) {
	BLK = 3;
} else
if ( n >= 1576 && n < 1891 ) {
	BLK = 10;
} else
if ( n >= 1891 && n < 1977 ) {
	BLK = 4;
} else
if ( n >= 1977 && n < 1999 ) {
	BLK = 9;
} else
if ( n >= 1999 && n < 2163 ) {
	BLK = 5;
} else
if ( n >= 2163 && n < 2189 ) {
	BLK = 9;
} else
if ( n >= 2189 && n < 2466 ) {
	BLK = 2;
} else
if ( n >= 2466 && n < 2490 ) {
	BLK = 3;
} else
if ( n >= 2490 && n < 2839 ) {
	BLK = 9;
} else
if ( n >= 2839 && n < 2974 ) {
	BLK = 3;
} else
if ( n >= 2974 && n < 3197 ) {
	BLK = 9;
} else
if ( n >= 3197 && n < 3353 ) {
	BLK = 5;
} else
if ( n >= 3353 && n < 3719 ) {
	BLK = 9;
} else
if ( n >= 3719 && n < 3843 ) {
	BLK = 5;
} else
if ( n >= 3843 && n < 5783 ) {
	BLK = 9;
} else
if ( n >= 5783 && n < 5919 ) {
	BLK = 5;
} else
if ( n >= 5919 && n < 6256 ) {
	BLK = 9;
} else
if ( n >= 6256 && n < 6367 ) {
	BLK = 4;
} else
if ( n >= 6367 && n < 6424 ) {
	BLK = 5;
} else
if ( n >= 6424 && n < 6755 ) {
	BLK = 9;
} else
if ( n >= 6755 && n < 6999 ) {
	BLK = 5;
} else
if ( n >= 6999 && n < 8019 ) {
	BLK = 9;
} else
if ( n >= 8019 && n < 8091 ) {
	BLK = 5;
} else
if ( n >= 8091 && n < 8553 ) {
	BLK = 9;
} else
if ( n >= 8553 && n < 8749 ) {
	BLK = 5;
} else
if ( n >= 8749 && n < 9277 ) {
	BLK = 9;
} else
if ( n >= 9277 && n < 9306 ) {
	BLK = 4;
} else
if ( n >= 9306 && n < 9593 ) {
	BLK = 5;
} else
if ( n >= 9593 && n < 10907 ) {
	BLK = 9;
} else
if ( n >= 10907 && n < 11280 ) {
	BLK = 5;
} else
if ( n >= 11280 && n < 12623 ) {
	BLK = 9;
} else
if ( n >= 12623 && n < 12889 ) {
	BLK = 5;
} else
if ( n >= 12889 && n < 14950 ) {
	BLK = 9;
} else
if ( n >= 14950 && n < 15557 ) {
	BLK = 5;
} else
if ( n >= 15557 && n < 21486 ) {
	BLK = 9;
} else
if ( n >= 21486 && n < 21847 ) {
	BLK = 5;
} else
if ( n >= 21847 && n < 1000000 ) {
	BLK = 9;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 9;
}
