#if 0
<--/****************************************
Automatic Performance Tuning for DSYMV-L
Mon Sep 25 12:49:31 JST 2017
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972736768
// for double or cuFloatComplex
MAXDIM= 23685
// for float
MAXDIM2= 33495
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11842
// cuda version
CUDA= 8000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_7	1
#define	KERNEL_8	1
#define	KERNEL_10	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 102 ) {
	BLK = 4;
} else
if ( n >= 102 && n < 159 ) {
	BLK = 7;
} else
if ( n >= 159 && n < 214 ) {
	BLK = 4;
} else
if ( n >= 214 && n < 262 ) {
	BLK = 3;
} else
if ( n >= 262 && n < 329 ) {
	BLK = 4;
} else
if ( n >= 329 && n < 365 ) {
	BLK = 3;
} else
if ( n >= 365 && n < 427 ) {
	BLK = 4;
} else
if ( n >= 427 && n < 494 ) {
	BLK = 2;
} else
if ( n >= 494 && n < 613 ) {
	BLK = 4;
} else
if ( n >= 613 && n < 677 ) {
	BLK = 2;
} else
if ( n >= 677 && n < 936 ) {
	BLK = 4;
} else
if ( n >= 936 && n < 969 ) {
	BLK = 10;
} else
if ( n >= 969 && n < 1015 ) {
	BLK = 3;
} else
if ( n >= 1015 && n < 1125 ) {
	BLK = 2;
} else
if ( n >= 1125 && n < 1165 ) {
	BLK = 1;
} else
if ( n >= 1165 && n < 1338 ) {
	BLK = 4;
} else
if ( n >= 1338 && n < 1465 ) {
	BLK = 3;
} else
if ( n >= 1465 && n < 1516 ) {
	BLK = 2;
} else
if ( n >= 1516 && n < 1850 ) {
	BLK = 4;
} else
if ( n >= 1850 && n < 1992 ) {
	BLK = 2;
} else
if ( n >= 1992 && n < 2350 ) {
	BLK = 4;
} else
if ( n >= 2350 && n < 2405 ) {
	BLK = 8;
} else
if ( n >= 2405 && n < 2507 ) {
	BLK = 3;
} else
if ( n >= 2507 && n < 2512 ) {
	BLK = 4;
} else
if ( n >= 2512 && n < 2788 ) {
	BLK = 7;
} else
if ( n >= 2788 && n < 2863 ) {
	BLK = 4;
} else
if ( n >= 2863 && n < 3006 ) {
	BLK = 3;
} else
if ( n >= 3006 && n < 3693 ) {
	BLK = 4;
} else
if ( n >= 3693 && n < 3897 ) {
	BLK = 8;
} else
if ( n >= 3897 && n < 4180 ) {
	BLK = 4;
} else
if ( n >= 4180 && n < 4570 ) {
	BLK = 7;
} else
if ( n >= 4570 && n < 5029 ) {
	BLK = 4;
} else
if ( n >= 5029 && n < 5184 ) {
	BLK = 8;
} else
if ( n >= 5184 && n < 5429 ) {
	BLK = 4;
} else
if ( n >= 5429 && n < 5587 ) {
	BLK = 8;
} else
if ( n >= 5587 && n < 6252 ) {
	BLK = 7;
} else
if ( n >= 6252 && n < 6361 ) {
	BLK = 8;
} else
if ( n >= 6361 && n < 8291 ) {
	BLK = 7;
} else
if ( n >= 8291 && n < 8840 ) {
	BLK = 8;
} else
if ( n >= 8840 && n < 9050 ) {
	BLK = 7;
} else
if ( n >= 9050 && n < 9343 ) {
	BLK = 8;
} else
if ( n >= 9343 && n < 9928 ) {
	BLK = 7;
} else
if ( n >= 9928 && n < 10310 ) {
	BLK = 8;
} else
if ( n >= 10310 && n < 11423 ) {
	BLK = 7;
} else
if ( n >= 11423 && n < 11925 ) {
	BLK = 8;
} else
if ( n >= 11925 && n < 12435 ) {
	BLK = 7;
} else
if ( n >= 12435 && n < 12918 ) {
	BLK = 8;
} else
if ( n >= 12918 && n < 14292 ) {
	BLK = 7;
} else
if ( n >= 14292 && n < 14518 ) {
	BLK = 8;
} else
if ( n >= 14518 && n < 16364 ) {
	BLK = 7;
} else
if ( n >= 16364 && n < 16911 ) {
	BLK = 8;
} else
if ( n >= 16911 && n < 23626 ) {
	BLK = 7;
} else
if ( n >= 23626 && n < 1000000 ) {
	BLK = 8;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 8;
}
