#if 0
<--/****************************************
Automatic Performance Tuning for SSYMV-L
Mon Sep 25 16:35:10 JST 2017
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972736768
// for double or cuFloatComplex
MAXDIM= 23685
// for float
MAXDIM2= 33495
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11842
// cuda version
CUDA= 8000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1
#define	KERNEL_8	1
#define	KERNEL_9	1
#define	KERNEL_10	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 74 ) {
	BLK = 9;
} else
if ( n >= 74 && n < 105 ) {
	BLK = 6;
} else
if ( n >= 105 && n < 168 ) {
	BLK = 5;
} else
if ( n >= 168 && n < 223 ) {
	BLK = 2;
} else
if ( n >= 223 && n < 327 ) {
	BLK = 3;
} else
if ( n >= 327 && n < 428 ) {
	BLK = 5;
} else
if ( n >= 428 && n < 467 ) {
	BLK = 8;
} else
if ( n >= 467 && n < 475 ) {
	BLK = 2;
} else
if ( n >= 475 && n < 559 ) {
	BLK = 5;
} else
if ( n >= 559 && n < 568 ) {
	BLK = 10;
} else
if ( n >= 568 && n < 636 ) {
	BLK = 6;
} else
if ( n >= 636 && n < 779 ) {
	BLK = 5;
} else
if ( n >= 779 && n < 808 ) {
	BLK = 3;
} else
if ( n >= 808 && n < 882 ) {
	BLK = 5;
} else
if ( n >= 882 && n < 910 ) {
	BLK = 9;
} else
if ( n >= 910 && n < 967 ) {
	BLK = 6;
} else
if ( n >= 967 && n < 1087 ) {
	BLK = 5;
} else
if ( n >= 1087 && n < 1194 ) {
	BLK = 3;
} else
if ( n >= 1194 && n < 1643 ) {
	BLK = 5;
} else
if ( n >= 1643 && n < 1775 ) {
	BLK = 6;
} else
if ( n >= 1775 && n < 1792 ) {
	BLK = 3;
} else
if ( n >= 1792 && n < 2057 ) {
	BLK = 2;
} else
if ( n >= 2057 && n < 2229 ) {
	BLK = 1;
} else
if ( n >= 2229 && n < 2381 ) {
	BLK = 10;
} else
if ( n >= 2381 && n < 2562 ) {
	BLK = 4;
} else
if ( n >= 2562 && n < 2707 ) {
	BLK = 1;
} else
if ( n >= 2707 && n < 2994 ) {
	BLK = 10;
} else
if ( n >= 2994 && n < 3178 ) {
	BLK = 5;
} else
if ( n >= 3178 && n < 3295 ) {
	BLK = 10;
} else
if ( n >= 3295 && n < 4271 ) {
	BLK = 1;
} else
if ( n >= 4271 && n < 4453 ) {
	BLK = 10;
} else
if ( n >= 4453 && n < 4725 ) {
	BLK = 1;
} else
if ( n >= 4725 && n < 5046 ) {
	BLK = 10;
} else
if ( n >= 5046 && n < 5239 ) {
	BLK = 1;
} else
if ( n >= 5239 && n < 5421 ) {
	BLK = 4;
} else
if ( n >= 5421 && n < 5779 ) {
	BLK = 1;
} else
if ( n >= 5779 && n < 6068 ) {
	BLK = 4;
} else
if ( n >= 6068 && n < 6877 ) {
	BLK = 10;
} else
if ( n >= 6877 && n < 7315 ) {
	BLK = 1;
} else
if ( n >= 7315 && n < 7477 ) {
	BLK = 10;
} else
if ( n >= 7477 && n < 7855 ) {
	BLK = 1;
} else
if ( n >= 7855 && n < 8366 ) {
	BLK = 10;
} else
if ( n >= 8366 && n < 8621 ) {
	BLK = 1;
} else
if ( n >= 8621 && n < 9094 ) {
	BLK = 10;
} else
if ( n >= 9094 && n < 9248 ) {
	BLK = 1;
} else
if ( n >= 9248 && n < 11591 ) {
	BLK = 10;
} else
if ( n >= 11591 && n < 12326 ) {
	BLK = 1;
} else
if ( n >= 12326 && n < 13119 ) {
	BLK = 10;
} else
if ( n >= 13119 && n < 13808 ) {
	BLK = 1;
} else
if ( n >= 13808 && n < 15207 ) {
	BLK = 10;
} else
if ( n >= 15207 && n < 15452 ) {
	BLK = 1;
} else
if ( n >= 15452 && n < 16018 ) {
	BLK = 10;
} else
if ( n >= 16018 && n < 16974 ) {
	BLK = 1;
} else
if ( n >= 16974 && n < 19868 ) {
	BLK = 10;
} else
if ( n >= 19868 && n < 20785 ) {
	BLK = 1;
} else
if ( n >= 20785 && n < 30235 ) {
	BLK = 10;
} else
if ( n >= 30235 && n < 31704 ) {
	BLK = 1;
} else
if ( n >= 31704 && n < 1000000 ) {
	BLK = 10;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 10;
}
