#if 0
<--/****************************************
Automatic Performance Tuning for SSYMV-U
Mon Sep 25 08:59:43 JST 2017
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972736768
// for double or cuFloatComplex
MAXDIM= 23685
// for float
MAXDIM2= 33495
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11842
// cuda version
CUDA= 8000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_7	1
#define	KERNEL_8	1
#define	KERNEL_9	1
#define	KERNEL_10	1
#define	KERNEL_1	1
#define	KERNEL_2	1

if ( n >= 1 && n < 240 ) {
	BLK = 9;
} else
if ( n >= 240 && n < 264 ) {
	BLK = 5;
} else
if ( n >= 264 && n < 336 ) {
	BLK = 7;
} else
if ( n >= 336 && n < 376 ) {
	BLK = 5;
} else
if ( n >= 376 && n < 413 ) {
	BLK = 7;
} else
if ( n >= 413 && n < 531 ) {
	BLK = 9;
} else
if ( n >= 531 && n < 571 ) {
	BLK = 5;
} else
if ( n >= 571 && n < 626 ) {
	BLK = 7;
} else
if ( n >= 626 && n < 699 ) {
	BLK = 10;
} else
if ( n >= 699 && n < 823 ) {
	BLK = 7;
} else
if ( n >= 823 && n < 835 ) {
	BLK = 10;
} else
if ( n >= 835 && n < 911 ) {
	BLK = 5;
} else
if ( n >= 911 && n < 1002 ) {
	BLK = 7;
} else
if ( n >= 1002 && n < 1150 ) {
	BLK = 5;
} else
if ( n >= 1150 && n < 1213 ) {
	BLK = 10;
} else
if ( n >= 1213 && n < 1830 ) {
	BLK = 7;
} else
if ( n >= 1830 && n < 2302 ) {
	BLK = 8;
} else
if ( n >= 2302 && n < 2452 ) {
	BLK = 7;
} else
if ( n >= 2452 && n < 2557 ) {
	BLK = 5;
} else
if ( n >= 2557 && n < 2744 ) {
	BLK = 7;
} else
if ( n >= 2744 && n < 2857 ) {
	BLK = 8;
} else
if ( n >= 2857 && n < 2881 ) {
	BLK = 5;
} else
if ( n >= 2881 && n < 2976 ) {
	BLK = 7;
} else
if ( n >= 2976 && n < 3077 ) {
	BLK = 4;
} else
if ( n >= 3077 && n < 3641 ) {
	BLK = 1;
} else
if ( n >= 3641 && n < 3795 ) {
	BLK = 2;
} else
if ( n >= 3795 && n < 4112 ) {
	BLK = 1;
} else
if ( n >= 4112 && n < 4207 ) {
	BLK = 2;
} else
if ( n >= 4207 && n < 4394 ) {
	BLK = 1;
} else
if ( n >= 4394 && n < 4481 ) {
	BLK = 4;
} else
if ( n >= 4481 && n < 4632 ) {
	BLK = 2;
} else
if ( n >= 4632 && n < 4910 ) {
	BLK = 1;
} else
if ( n >= 4910 && n < 5016 ) {
	BLK = 4;
} else
if ( n >= 5016 && n < 5373 ) {
	BLK = 1;
} else
if ( n >= 5373 && n < 5424 ) {
	BLK = 2;
} else
if ( n >= 5424 && n < 5741 ) {
	BLK = 4;
} else
if ( n >= 5741 && n < 6460 ) {
	BLK = 1;
} else
if ( n >= 6460 && n < 6562 ) {
	BLK = 4;
} else
if ( n >= 6562 && n < 7623 ) {
	BLK = 1;
} else
if ( n >= 7623 && n < 7776 ) {
	BLK = 4;
} else
if ( n >= 7776 && n < 11731 ) {
	BLK = 1;
} else
if ( n >= 11731 && n < 12157 ) {
	BLK = 4;
} else
if ( n >= 12157 && n < 13020 ) {
	BLK = 1;
} else
if ( n >= 13020 && n < 13237 ) {
	BLK = 4;
} else
if ( n >= 13237 && n < 15981 ) {
	BLK = 1;
} else
if ( n >= 15981 && n < 16847 ) {
	BLK = 4;
} else
if ( n >= 16847 && n < 20392 ) {
	BLK = 1;
} else
if ( n >= 20392 && n < 20610 ) {
	BLK = 4;
} else
if ( n >= 20610 && n < 27685 ) {
	BLK = 1;
} else
if ( n >= 27685 && n < 27914 ) {
	BLK = 4;
} else
if ( n >= 27914 && n < 1000000 ) {
	BLK = 1;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 1;
}
