#if 0
<--/****************************************
Automatic Performance Tuning for DSYMV-L
Sat Sep 23 16:03:31 JST 2017
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972736768
// for double or cuFloatComplex
MAXDIM= 23685
// for float
MAXDIM2= 33495
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11842
// cuda version
CUDA= 9000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_5	1
#define	KERNEL_6	1
#define	KERNEL_7	1
#define	KERNEL_8	1
#define	KERNEL_9	1
#define	KERNEL_13	1
#define	KERNEL_1	1
#define	KERNEL_3	1

if ( n >= 1 && n < 98 ) {
	BLK = 9;
} else
if ( n >= 98 && n < 171 ) {
	BLK = 8;
} else
if ( n >= 171 && n < 185 ) {
	BLK = 5;
} else
if ( n >= 185 && n < 273 ) {
	BLK = 9;
} else
if ( n >= 273 && n < 305 ) {
	BLK = 5;
} else
if ( n >= 305 && n < 373 ) {
	BLK = 8;
} else
if ( n >= 373 && n < 435 ) {
	BLK = 5;
} else
if ( n >= 435 && n < 488 ) {
	BLK = 9;
} else
if ( n >= 488 && n < 521 ) {
	BLK = 5;
} else
if ( n >= 521 && n < 635 ) {
	BLK = 8;
} else
if ( n >= 635 && n < 677 ) {
	BLK = 9;
} else
if ( n >= 677 && n < 754 ) {
	BLK = 5;
} else
if ( n >= 754 && n < 783 ) {
	BLK = 8;
} else
if ( n >= 783 && n < 808 ) {
	BLK = 9;
} else
if ( n >= 808 && n < 856 ) {
	BLK = 13;
} else
if ( n >= 856 && n < 1022 ) {
	BLK = 5;
} else
if ( n >= 1022 && n < 1101 ) {
	BLK = 9;
} else
if ( n >= 1101 && n < 1222 ) {
	BLK = 8;
} else
if ( n >= 1222 && n < 1363 ) {
	BLK = 5;
} else
if ( n >= 1363 && n < 1508 ) {
	BLK = 9;
} else
if ( n >= 1508 && n < 1526 ) {
	BLK = 3;
} else
if ( n >= 1526 && n < 1874 ) {
	BLK = 1;
} else
if ( n >= 1874 && n < 2104 ) {
	BLK = 3;
} else
if ( n >= 2104 && n < 2577 ) {
	BLK = 1;
} else
if ( n >= 2577 && n < 2783 ) {
	BLK = 6;
} else
if ( n >= 2783 && n < 2798 ) {
	BLK = 7;
} else
if ( n >= 2798 && n < 2957 ) {
	BLK = 1;
} else
if ( n >= 2957 && n < 3141 ) {
	BLK = 3;
} else
if ( n >= 3141 && n < 3316 ) {
	BLK = 1;
} else
if ( n >= 3316 && n < 3596 ) {
	BLK = 3;
} else
if ( n >= 3596 && n < 3706 ) {
	BLK = 6;
} else
if ( n >= 3706 && n < 3724 ) {
	BLK = 3;
} else
if ( n >= 3724 && n < 6151 ) {
	BLK = 1;
} else
if ( n >= 6151 && n < 6583 ) {
	BLK = 6;
} else
if ( n >= 6583 && n < 6639 ) {
	BLK = 3;
} else
if ( n >= 6639 && n < 7064 ) {
	BLK = 6;
} else
if ( n >= 7064 && n < 7148 ) {
	BLK = 1;
} else
if ( n >= 7148 && n < 7863 ) {
	BLK = 6;
} else
if ( n >= 7863 && n < 8195 ) {
	BLK = 1;
} else
if ( n >= 8195 && n < 9653 ) {
	BLK = 6;
} else
if ( n >= 9653 && n < 9713 ) {
	BLK = 1;
} else
if ( n >= 9713 && n < 11665 ) {
	BLK = 6;
} else
if ( n >= 11665 && n < 11785 ) {
	BLK = 1;
} else
if ( n >= 11785 && n < 1000000 ) {
	BLK = 6;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 6;
}
