#if 0
<--/****************************************
Automatic Performance Tuning for SSYMV-L
Sat Sep 23 22:04:20 JST 2017
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972736768
// for double or cuFloatComplex
MAXDIM= 23685
// for float
MAXDIM2= 33495
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11842
// cuda version
CUDA= 9000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_6	1
#define	KERNEL_8	1
#define	KERNEL_9	1
#define	KERNEL_11	1
#define	KERNEL_13	1
#define	KERNEL_14	1
#define	KERNEL_1	1
#define	KERNEL_15	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 118 ) {
	BLK = 1;
} else
if ( n >= 118 && n < 148 ) {
	BLK = 13;
} else
if ( n >= 148 && n < 217 ) {
	BLK = 3;
} else
if ( n >= 217 && n < 297 ) {
	BLK = 1;
} else
if ( n >= 297 && n < 345 ) {
	BLK = 13;
} else
if ( n >= 345 && n < 417 ) {
	BLK = 1;
} else
if ( n >= 417 && n < 446 ) {
	BLK = 11;
} else
if ( n >= 446 && n < 495 ) {
	BLK = 13;
} else
if ( n >= 495 && n < 527 ) {
	BLK = 1;
} else
if ( n >= 527 && n < 594 ) {
	BLK = 3;
} else
if ( n >= 594 && n < 611 ) {
	BLK = 1;
} else
if ( n >= 611 && n < 674 ) {
	BLK = 13;
} else
if ( n >= 674 && n < 711 ) {
	BLK = 3;
} else
if ( n >= 711 && n < 774 ) {
	BLK = 1;
} else
if ( n >= 774 && n < 821 ) {
	BLK = 13;
} else
if ( n >= 821 && n < 933 ) {
	BLK = 1;
} else
if ( n >= 933 && n < 969 ) {
	BLK = 13;
} else
if ( n >= 969 && n < 975 ) {
	BLK = 1;
} else
if ( n >= 975 && n < 1131 ) {
	BLK = 3;
} else
if ( n >= 1131 && n < 1203 ) {
	BLK = 13;
} else
if ( n >= 1203 && n < 1252 ) {
	BLK = 1;
} else
if ( n >= 1252 && n < 1361 ) {
	BLK = 11;
} else
if ( n >= 1361 && n < 1452 ) {
	BLK = 13;
} else
if ( n >= 1452 && n < 1635 ) {
	BLK = 1;
} else
if ( n >= 1635 && n < 1669 ) {
	BLK = 3;
} else
if ( n >= 1669 && n < 1737 ) {
	BLK = 13;
} else
if ( n >= 1737 && n < 1990 ) {
	BLK = 1;
} else
if ( n >= 1990 && n < 2111 ) {
	BLK = 6;
} else
if ( n >= 2111 && n < 2117 ) {
	BLK = 1;
} else
if ( n >= 2117 && n < 2156 ) {
	BLK = 15;
} else
if ( n >= 2156 && n < 2263 ) {
	BLK = 2;
} else
if ( n >= 2263 && n < 2297 ) {
	BLK = 9;
} else
if ( n >= 2297 && n < 2333 ) {
	BLK = 14;
} else
if ( n >= 2333 && n < 2498 ) {
	BLK = 6;
} else
if ( n >= 2498 && n < 2644 ) {
	BLK = 15;
} else
if ( n >= 2644 && n < 2689 ) {
	BLK = 8;
} else
if ( n >= 2689 && n < 2969 ) {
	BLK = 6;
} else
if ( n >= 2969 && n < 3053 ) {
	BLK = 15;
} else
if ( n >= 3053 && n < 3316 ) {
	BLK = 6;
} else
if ( n >= 3316 && n < 3370 ) {
	BLK = 9;
} else
if ( n >= 3370 && n < 3583 ) {
	BLK = 2;
} else
if ( n >= 3583 && n < 3707 ) {
	BLK = 14;
} else
if ( n >= 3707 && n < 3939 ) {
	BLK = 15;
} else
if ( n >= 3939 && n < 4142 ) {
	BLK = 6;
} else
if ( n >= 4142 && n < 4785 ) {
	BLK = 15;
} else
if ( n >= 4785 && n < 5095 ) {
	BLK = 6;
} else
if ( n >= 5095 && n < 5448 ) {
	BLK = 15;
} else
if ( n >= 5448 && n < 5500 ) {
	BLK = 6;
} else
if ( n >= 5500 && n < 5502 ) {
	BLK = 2;
} else
if ( n >= 5502 && n < 6926 ) {
	BLK = 15;
} else
if ( n >= 6926 && n < 6981 ) {
	BLK = 6;
} else
if ( n >= 6981 && n < 7791 ) {
	BLK = 15;
} else
if ( n >= 7791 && n < 7980 ) {
	BLK = 6;
} else
if ( n >= 7980 && n < 10155 ) {
	BLK = 15;
} else
if ( n >= 10155 && n < 10256 ) {
	BLK = 6;
} else
if ( n >= 10256 && n < 10794 ) {
	BLK = 15;
} else
if ( n >= 10794 && n < 11085 ) {
	BLK = 6;
} else
if ( n >= 11085 && n < 12437 ) {
	BLK = 15;
} else
if ( n >= 12437 && n < 12932 ) {
	BLK = 6;
} else
if ( n >= 12932 && n < 13730 ) {
	BLK = 15;
} else
if ( n >= 13730 && n < 13986 ) {
	BLK = 6;
} else
if ( n >= 13986 && n < 14694 ) {
	BLK = 15;
} else
if ( n >= 14694 && n < 15107 ) {
	BLK = 6;
} else
if ( n >= 15107 && n < 16197 ) {
	BLK = 15;
} else
if ( n >= 16197 && n < 16688 ) {
	BLK = 1;
} else
if ( n >= 16688 && n < 26590 ) {
	BLK = 15;
} else
if ( n >= 26590 && n < 26815 ) {
	BLK = 6;
} else
if ( n >= 26815 && n < 1000000 ) {
	BLK = 15;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 15;
}
