#if 0
<--/****************************************
Automatic Performance Tuning for WSYMV-L
Sat Sep 23 10:25:08 JST 2017
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972736768
// for double or cuFloatComplex
MAXDIM= 23685
// for float
MAXDIM2= 33495
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11842
// cuda version
CUDA= 9000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1
#define	KERNEL_8	1
#define	KERNEL_9	1
#define	KERNEL_10	1
#define	KERNEL_11	1
#define	KERNEL_12	1
#define	KERNEL_1	1
#define	KERNEL_16	1
#define	KERNEL_3	1

if ( n >= 1 && n < 61 ) {
	BLK = 4;
} else
if ( n >= 61 && n < 118 ) {
	BLK = 12;
} else
if ( n >= 118 && n < 122 ) {
	BLK = 9;
} else
if ( n >= 122 && n < 131 ) {
	BLK = 10;
} else
if ( n >= 131 && n < 196 ) {
	BLK = 5;
} else
if ( n >= 196 && n < 217 ) {
	BLK = 11;
} else
if ( n >= 217 && n < 270 ) {
	BLK = 3;
} else
if ( n >= 270 && n < 274 ) {
	BLK = 8;
} else
if ( n >= 274 && n < 276 ) {
	BLK = 16;
} else
if ( n >= 276 && n < 327 ) {
	BLK = 5;
} else
if ( n >= 327 && n < 378 ) {
	BLK = 3;
} else
if ( n >= 378 && n < 424 ) {
	BLK = 6;
} else
if ( n >= 424 && n < 473 ) {
	BLK = 3;
} else
if ( n >= 473 && n < 535 ) {
	BLK = 16;
} else
if ( n >= 535 && n < 569 ) {
	BLK = 8;
} else
if ( n >= 569 && n < 575 ) {
	BLK = 1;
} else
if ( n >= 575 && n < 576 ) {
	BLK = 12;
} else
if ( n >= 576 && n < 645 ) {
	BLK = 5;
} else
if ( n >= 645 && n < 670 ) {
	BLK = 3;
} else
if ( n >= 670 && n < 673 ) {
	BLK = 12;
} else
if ( n >= 673 && n < 721 ) {
	BLK = 6;
} else
if ( n >= 721 && n < 751 ) {
	BLK = 12;
} else
if ( n >= 751 && n < 846 ) {
	BLK = 5;
} else
if ( n >= 846 && n < 960 ) {
	BLK = 3;
} else
if ( n >= 960 && n < 1124 ) {
	BLK = 5;
} else
if ( n >= 1124 && n < 1251 ) {
	BLK = 3;
} else
if ( n >= 1251 && n < 2062 ) {
	BLK = 5;
} else
if ( n >= 2062 && n < 2166 ) {
	BLK = 6;
} else
if ( n >= 2166 && n < 2441 ) {
	BLK = 5;
} else
if ( n >= 2441 && n < 2630 ) {
	BLK = 3;
} else
if ( n >= 2630 && n < 3067 ) {
	BLK = 5;
} else
if ( n >= 3067 && n < 3563 ) {
	BLK = 3;
} else
if ( n >= 3563 && n < 3751 ) {
	BLK = 5;
} else
if ( n >= 3751 && n < 3899 ) {
	BLK = 3;
} else
if ( n >= 3899 && n < 4412 ) {
	BLK = 5;
} else
if ( n >= 4412 && n < 4529 ) {
	BLK = 3;
} else
if ( n >= 4529 && n < 4861 ) {
	BLK = 5;
} else
if ( n >= 4861 && n < 5061 ) {
	BLK = 3;
} else
if ( n >= 5061 && n < 6034 ) {
	BLK = 5;
} else
if ( n >= 6034 && n < 6212 ) {
	BLK = 3;
} else
if ( n >= 6212 && n < 7087 ) {
	BLK = 5;
} else
if ( n >= 7087 && n < 7407 ) {
	BLK = 3;
} else
if ( n >= 7407 && n < 8791 ) {
	BLK = 5;
} else
if ( n >= 8791 && n < 9071 ) {
	BLK = 3;
} else
if ( n >= 9071 && n < 10184 ) {
	BLK = 5;
} else
if ( n >= 10184 && n < 10344 ) {
	BLK = 3;
} else
if ( n >= 10344 && n < 11063 ) {
	BLK = 5;
} else
if ( n >= 11063 && n < 11636 ) {
	BLK = 3;
} else
if ( n >= 11636 && n < 13395 ) {
	BLK = 5;
} else
if ( n >= 13395 && n < 13598 ) {
	BLK = 3;
} else
if ( n >= 13598 && n < 14657 ) {
	BLK = 5;
} else
if ( n >= 14657 && n < 15130 ) {
	BLK = 3;
} else
if ( n >= 15130 && n < 1000000 ) {
	BLK = 5;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 5;
}
