set key bottom
set grid
set pointsize 0.3
set yrange [0:]
set title "CHEMVL on a <GeForce GTX980>"
set xlabel "[dimension]"
set ylabel "[GFLOPS]"
set term post eps color
set output "plot_data_980_CHEMVL.eps"
plot   "log-ASPEN.K2-1.6-CHEMVL-GTX980-367.57" u 2:($5<2*340.631?$5:-1000) t "log-ASPEN.K2-1.6-CHEMVL-GTX980-367.57" , "log-CUDA-8.0-CHEMVL-GTX980-367.57" u 2:($5<2*340.631?$5:-1000) t "log-CUDA-8.0-CHEMVL-GTX980-367.57" , "log-CUDA-8.0-CHEMVLnoAtomic-GTX980-367.57" u 2:($5<2*340.631?$5:-1000) t "log-CUDA-8.0-CHEMVLnoAtomic-GTX980-367.57" 
clear
set term png
set output "plot_data_980_CHEMVL.png"
plot   "log-ASPEN.K2-1.6-CHEMVL-GTX980-367.57" u 2:($5<2*340.631?$5:-1000) t "log-ASPEN.K2-1.6-CHEMVL-GTX980-367.57" , "log-CUDA-8.0-CHEMVL-GTX980-367.57" u 2:($5<2*340.631?$5:-1000) t "log-CUDA-8.0-CHEMVL-GTX980-367.57" , "log-CUDA-8.0-CHEMVLnoAtomic-GTX980-367.57" u 2:($5<2*340.631?$5:-1000) t "log-CUDA-8.0-CHEMVLnoAtomic-GTX980-367.57" 
clear
exit
