set key bottom
set grid
set pointsize 0.3
set yrange [0:]
set title "DSYMVL on a <GeForce TitanBlack>"
set xlabel "[dimension]"
set ylabel "[GFLOPS]"
set term post eps color
set output "plot_data_TITAN_DSYMVL.eps"
plot   "log-ASPEN.K2-1.6-DSYMVL-GTXTITANBlack-367.57" u 2:($5<2*114.262?$5:-1000) t "log-ASPEN.K2-1.6-DSYMVL-GTXTITANBlack-367.57" , "log-CUDA-8.0-DSYMVL-GTXTITANBlack-367.57" u 2:($5<2*114.262?$5:-1000) t "log-CUDA-8.0-DSYMVL-GTXTITANBlack-367.57" , "log-CUDA-8.0-DSYMVLnoAtomic-GTXTITANBlack-367.57" u 2:($5<2*114.262?$5:-1000) t "log-CUDA-8.0-DSYMVLnoAtomic-GTXTITANBlack-367.57" 
clear
set term png
set output "plot_data_TITAN_DSYMVL.png"
plot   "log-ASPEN.K2-1.6-DSYMVL-GTXTITANBlack-367.57" u 2:($5<2*114.262?$5:-1000) t "log-ASPEN.K2-1.6-DSYMVL-GTXTITANBlack-367.57" , "log-CUDA-8.0-DSYMVL-GTXTITANBlack-367.57" u 2:($5<2*114.262?$5:-1000) t "log-CUDA-8.0-DSYMVL-GTXTITANBlack-367.57" , "log-CUDA-8.0-DSYMVLnoAtomic-GTXTITANBlack-367.57" u 2:($5<2*114.262?$5:-1000) t "log-CUDA-8.0-DSYMVLnoAtomic-GTXTITANBlack-367.57" 
clear
exit
