set key bottom
set grid
set pointsize 0.3
set yrange [0:]
set title "CHEMVL on a <GeForce TitanBlack>"
set xlabel "[dimension]"
set ylabel "[GFLOPS]"
set term post eps color
set output "plot_data_TITAN_CHEMVL.eps"
plot   "log-ASPEN.K2-1.6p1-CHEMVL-GTXTITANBlack-384.59" u 2:($5<2*456.294?$5:-1000) t "log-ASPEN.K2-1.6p1-CHEMVL-GTXTITANBlack-384.59" , "log-CUDA-9.0RC-CHEMVL-GTXTITANBlack-384.59" u 2:($5<2*456.294?$5:-1000) t "log-CUDA-9.0RC-CHEMVL-GTXTITANBlack-384.59" , "log-CUDA-9.0RC-CHEMVLnoAtomic-GTXTITANBlack-384.59" u 2:($5<2*456.294?$5:-1000) t "log-CUDA-9.0RC-CHEMVLnoAtomic-GTXTITANBlack-384.59" 
clear
set term png
set output "plot_data_TITAN_CHEMVL.png"
plot   "log-ASPEN.K2-1.6p1-CHEMVL-GTXTITANBlack-384.59" u 2:($5<2*456.294?$5:-1000) t "log-ASPEN.K2-1.6p1-CHEMVL-GTXTITANBlack-384.59" , "log-CUDA-9.0RC-CHEMVL-GTXTITANBlack-384.59" u 2:($5<2*456.294?$5:-1000) t "log-CUDA-9.0RC-CHEMVL-GTXTITANBlack-384.59" , "log-CUDA-9.0RC-CHEMVLnoAtomic-GTXTITANBlack-384.59" u 2:($5<2*456.294?$5:-1000) t "log-CUDA-9.0RC-CHEMVLnoAtomic-GTXTITANBlack-384.59" 
clear
exit
