#if 0
<--/****************************************
Automatic Performance Tuning for SSYMV-L
Mon Sep 25 19:28:21 JST 2017
Host on newton.aics27.riken.jp
Device is GeForce-GTX-TITAN-Black
****************************************/-->
// device name
DEVICE= GeForce-GTX-TITAN-Black
// the number of multi-processors
MP= 15
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 6377540096
// for double or cuFloatComplex
MAXDIM= 26822
// for float
MAXDIM2= 37933
// for cuDoubleComplex or DD
MAXDIM3= 18966
// for DD-Complex
MAXDIM4= 13411
// cuda version
CUDA= 7050
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_5	1
#define	KERNEL_7	1
#define	KERNEL_8	1
#define	KERNEL_9	1
#define	KERNEL_10	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 113 ) {
	BLK = 8;
} else
if ( n >= 113 && n < 167 ) {
	BLK = 9;
} else
if ( n >= 167 && n < 203 ) {
	BLK = 8;
} else
if ( n >= 203 && n < 274 ) {
	BLK = 5;
} else
if ( n >= 274 && n < 291 ) {
	BLK = 9;
} else
if ( n >= 291 && n < 452 ) {
	BLK = 8;
} else
if ( n >= 452 && n < 541 ) {
	BLK = 10;
} else
if ( n >= 541 && n < 621 ) {
	BLK = 8;
} else
if ( n >= 621 && n < 659 ) {
	BLK = 5;
} else
if ( n >= 659 && n < 701 ) {
	BLK = 10;
} else
if ( n >= 701 && n < 770 ) {
	BLK = 8;
} else
if ( n >= 770 && n < 794 ) {
	BLK = 9;
} else
if ( n >= 794 && n < 812 ) {
	BLK = 10;
} else
if ( n >= 812 && n < 900 ) {
	BLK = 8;
} else
if ( n >= 900 && n < 970 ) {
	BLK = 5;
} else
if ( n >= 970 && n < 978 ) {
	BLK = 9;
} else
if ( n >= 978 && n < 1131 ) {
	BLK = 8;
} else
if ( n >= 1131 && n < 1191 ) {
	BLK = 1;
} else
if ( n >= 1191 && n < 1359 ) {
	BLK = 10;
} else
if ( n >= 1359 && n < 1455 ) {
	BLK = 8;
} else
if ( n >= 1455 && n < 1529 ) {
	BLK = 10;
} else
if ( n >= 1529 && n < 1575 ) {
	BLK = 9;
} else
if ( n >= 1575 && n < 1674 ) {
	BLK = 5;
} else
if ( n >= 1674 && n < 1831 ) {
	BLK = 9;
} else
if ( n >= 1831 && n < 1874 ) {
	BLK = 8;
} else
if ( n >= 1874 && n < 2052 ) {
	BLK = 7;
} else
if ( n >= 2052 && n < 2155 ) {
	BLK = 9;
} else
if ( n >= 2155 && n < 2284 ) {
	BLK = 7;
} else
if ( n >= 2284 && n < 2594 ) {
	BLK = 9;
} else
if ( n >= 2594 && n < 2756 ) {
	BLK = 3;
} else
if ( n >= 2756 && n < 2911 ) {
	BLK = 9;
} else
if ( n >= 2911 && n < 2945 ) {
	BLK = 10;
} else
if ( n >= 2945 && n < 3296 ) {
	BLK = 9;
} else
if ( n >= 3296 && n < 3471 ) {
	BLK = 7;
} else
if ( n >= 3471 && n < 4024 ) {
	BLK = 9;
} else
if ( n >= 4024 && n < 4155 ) {
	BLK = 3;
} else
if ( n >= 4155 && n < 4353 ) {
	BLK = 10;
} else
if ( n >= 4353 && n < 4655 ) {
	BLK = 3;
} else
if ( n >= 4655 && n < 4751 ) {
	BLK = 9;
} else
if ( n >= 4751 && n < 5005 ) {
	BLK = 3;
} else
if ( n >= 5005 && n < 5183 ) {
	BLK = 9;
} else
if ( n >= 5183 && n < 5462 ) {
	BLK = 3;
} else
if ( n >= 5462 && n < 5733 ) {
	BLK = 9;
} else
if ( n >= 5733 && n < 5944 ) {
	BLK = 10;
} else
if ( n >= 5944 && n < 7365 ) {
	BLK = 3;
} else
if ( n >= 7365 && n < 8073 ) {
	BLK = 9;
} else
if ( n >= 8073 && n < 9130 ) {
	BLK = 3;
} else
if ( n >= 9130 && n < 9267 ) {
	BLK = 2;
} else
if ( n >= 9267 && n < 9531 ) {
	BLK = 3;
} else
if ( n >= 9531 && n < 10175 ) {
	BLK = 2;
} else
if ( n >= 10175 && n < 10291 ) {
	BLK = 3;
} else
if ( n >= 10291 && n < 10657 ) {
	BLK = 2;
} else
if ( n >= 10657 && n < 10930 ) {
	BLK = 3;
} else
if ( n >= 10930 && n < 11377 ) {
	BLK = 2;
} else
if ( n >= 11377 && n < 11754 ) {
	BLK = 3;
} else
if ( n >= 11754 && n < 1000000 ) {
	BLK = 2;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 2;
}
