#if 0
<--/****************************************
Automatic Performance Tuning for SSYMV-L
Sun Sep 24 01:41:16 JST 2017
Host on newton.aics27.riken.jp
Device is GeForce-GTX-TITAN-Black
****************************************/-->
// device name
DEVICE= GeForce-GTX-TITAN-Black
// the number of multi-processors
MP= 15
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 6377540096
// for double or cuFloatComplex
MAXDIM= 26822
// for float
MAXDIM2= 37933
// for cuDoubleComplex or DD
MAXDIM3= 18966
// for DD-Complex
MAXDIM4= 13411
// cuda version
CUDA= 8000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1
#define	KERNEL_7	1
#define	KERNEL_8	1
#define	KERNEL_11	1
#define	KERNEL_13	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_16	1
#define	KERNEL_3	1

if ( n >= 1 && n < 72 ) {
	BLK = 11;
} else
if ( n >= 72 && n < 82 ) {
	BLK = 8;
} else
if ( n >= 82 && n < 105 ) {
	BLK = 1;
} else
if ( n >= 105 && n < 166 ) {
	BLK = 3;
} else
if ( n >= 166 && n < 217 ) {
	BLK = 11;
} else
if ( n >= 217 && n < 223 ) {
	BLK = 6;
} else
if ( n >= 223 && n < 248 ) {
	BLK = 1;
} else
if ( n >= 248 && n < 268 ) {
	BLK = 3;
} else
if ( n >= 268 && n < 270 ) {
	BLK = 6;
} else
if ( n >= 270 && n < 280 ) {
	BLK = 2;
} else
if ( n >= 280 && n < 325 ) {
	BLK = 11;
} else
if ( n >= 325 && n < 355 ) {
	BLK = 3;
} else
if ( n >= 355 && n < 399 ) {
	BLK = 1;
} else
if ( n >= 399 && n < 427 ) {
	BLK = 8;
} else
if ( n >= 427 && n < 460 ) {
	BLK = 13;
} else
if ( n >= 460 && n < 540 ) {
	BLK = 6;
} else
if ( n >= 540 && n < 565 ) {
	BLK = 11;
} else
if ( n >= 565 && n < 566 ) {
	BLK = 8;
} else
if ( n >= 566 && n < 702 ) {
	BLK = 1;
} else
if ( n >= 702 && n < 706 ) {
	BLK = 8;
} else
if ( n >= 706 && n < 729 ) {
	BLK = 6;
} else
if ( n >= 729 && n < 770 ) {
	BLK = 3;
} else
if ( n >= 770 && n < 823 ) {
	BLK = 6;
} else
if ( n >= 823 && n < 865 ) {
	BLK = 1;
} else
if ( n >= 865 && n < 922 ) {
	BLK = 6;
} else
if ( n >= 922 && n < 981 ) {
	BLK = 1;
} else
if ( n >= 981 && n < 1167 ) {
	BLK = 6;
} else
if ( n >= 1167 && n < 1357 ) {
	BLK = 1;
} else
if ( n >= 1357 && n < 1434 ) {
	BLK = 3;
} else
if ( n >= 1434 && n < 1746 ) {
	BLK = 1;
} else
if ( n >= 1746 && n < 1996 ) {
	BLK = 6;
} else
if ( n >= 1996 && n < 2160 ) {
	BLK = 11;
} else
if ( n >= 2160 && n < 2281 ) {
	BLK = 8;
} else
if ( n >= 2281 && n < 2390 ) {
	BLK = 16;
} else
if ( n >= 2390 && n < 2543 ) {
	BLK = 11;
} else
if ( n >= 2543 && n < 2703 ) {
	BLK = 5;
} else
if ( n >= 2703 && n < 2772 ) {
	BLK = 8;
} else
if ( n >= 2772 && n < 2941 ) {
	BLK = 11;
} else
if ( n >= 2941 && n < 2986 ) {
	BLK = 6;
} else
if ( n >= 2986 && n < 3044 ) {
	BLK = 5;
} else
if ( n >= 3044 && n < 3088 ) {
	BLK = 11;
} else
if ( n >= 3088 && n < 3173 ) {
	BLK = 8;
} else
if ( n >= 3173 && n < 3597 ) {
	BLK = 11;
} else
if ( n >= 3597 && n < 3751 ) {
	BLK = 6;
} else
if ( n >= 3751 && n < 3950 ) {
	BLK = 16;
} else
if ( n >= 3950 && n < 4039 ) {
	BLK = 7;
} else
if ( n >= 4039 && n < 4255 ) {
	BLK = 11;
} else
if ( n >= 4255 && n < 4448 ) {
	BLK = 4;
} else
if ( n >= 4448 && n < 4583 ) {
	BLK = 5;
} else
if ( n >= 4583 && n < 4819 ) {
	BLK = 16;
} else
if ( n >= 4819 && n < 4974 ) {
	BLK = 5;
} else
if ( n >= 4974 && n < 5065 ) {
	BLK = 16;
} else
if ( n >= 5065 && n < 5782 ) {
	BLK = 4;
} else
if ( n >= 5782 && n < 7704 ) {
	BLK = 16;
} else
if ( n >= 7704 && n < 8507 ) {
	BLK = 4;
} else
if ( n >= 8507 && n < 11677 ) {
	BLK = 16;
} else
if ( n >= 11677 && n < 11959 ) {
	BLK = 4;
} else
if ( n >= 11959 && n < 1000000 ) {
	BLK = 16;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 16;
}
