#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-U
Fri Sep 29 12:13:07 JST 2017
Host on newton.aics27.riken.jp
Device is GeForce-GTX-TITAN-Black
****************************************/-->
// device name
DEVICE= GeForce-GTX-TITAN-Black
// the number of multi-processors
MP= 15
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 6377540096
// for double or cuFloatComplex
MAXDIM= 26822
// for float
MAXDIM2= 37933
// for cuDoubleComplex or DD
MAXDIM3= 18966
// for DD-Complex
MAXDIM4= 13411
// cuda version
CUDA= 9000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_8	1
#define	KERNEL_9	1
#define	KERNEL_12	1
#define	KERNEL_13	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_16	1
#define	KERNEL_3	1

if ( n >= 1 && n < 924 ) {
	BLK = 1;
} else
if ( n >= 924 && n < 976 ) {
	BLK = 8;
} else
if ( n >= 976 && n < 1823 ) {
	BLK = 1;
} else
if ( n >= 1823 && n < 1927 ) {
	BLK = 16;
} else
if ( n >= 1927 && n < 2260 ) {
	BLK = 13;
} else
if ( n >= 2260 && n < 2343 ) {
	BLK = 1;
} else
if ( n >= 2343 && n < 2410 ) {
	BLK = 9;
} else
if ( n >= 2410 && n < 2741 ) {
	BLK = 1;
} else
if ( n >= 2741 && n < 5259 ) {
	BLK = 2;
} else
if ( n >= 5259 && n < 5335 ) {
	BLK = 12;
} else
if ( n >= 5335 && n < 5460 ) {
	BLK = 2;
} else
if ( n >= 5460 && n < 5802 ) {
	BLK = 3;
} else
if ( n >= 5802 && n < 8113 ) {
	BLK = 2;
} else
if ( n >= 8113 && n < 8230 ) {
	BLK = 3;
} else
if ( n >= 8230 && n < 8394 ) {
	BLK = 12;
} else
if ( n >= 8394 && n < 10780 ) {
	BLK = 2;
} else
if ( n >= 10780 && n < 10980 ) {
	BLK = 12;
} else
if ( n >= 10980 && n < 12776 ) {
	BLK = 2;
} else
if ( n >= 12776 && n < 13222 ) {
	BLK = 12;
} else
if ( n >= 13222 && n < 13461 ) {
	BLK = 3;
} else
if ( n >= 13461 && n < 15026 ) {
	BLK = 2;
} else
if ( n >= 15026 && n < 15527 ) {
	BLK = 12;
} else
if ( n >= 15527 && n < 20335 ) {
	BLK = 2;
} else
if ( n >= 20335 && n < 20621 ) {
	BLK = 12;
} else
if ( n >= 20621 && n < 1000000 ) {
	BLK = 2;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 2;
}
