#if 0
<--/****************************************
Automatic Performance Tuning for UHEMV-L
Fri Sep 29 14:08:17 JST 2017
Host on newton.aics27.riken.jp
Device is GeForce-GTX-TITAN-Black
****************************************/-->
// device name
DEVICE= GeForce-GTX-TITAN-Black
// the number of multi-processors
MP= 15
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 6377540096
// for double or cuFloatComplex
MAXDIM= 26822
// for float
MAXDIM2= 37933
// for cuDoubleComplex or DD
MAXDIM3= 18966
// for DD-Complex
MAXDIM4= 13411
// cuda version
CUDA= 9000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_6	1
#define	KERNEL_7	1
#define	KERNEL_11	1
#define	KERNEL_13	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 71 ) {
	BLK = 3;
} else
if ( n >= 71 && n < 152 ) {
	BLK = 13;
} else
if ( n >= 152 && n < 249 ) {
	BLK = 6;
} else
if ( n >= 249 && n < 374 ) {
	BLK = 13;
} else
if ( n >= 374 && n < 572 ) {
	BLK = 6;
} else
if ( n >= 572 && n < 781 ) {
	BLK = 13;
} else
if ( n >= 781 && n < 847 ) {
	BLK = 6;
} else
if ( n >= 847 && n < 920 ) {
	BLK = 7;
} else
if ( n >= 920 && n < 1160 ) {
	BLK = 13;
} else
if ( n >= 1160 && n < 1215 ) {
	BLK = 1;
} else
if ( n >= 1215 && n < 1329 ) {
	BLK = 6;
} else
if ( n >= 1329 && n < 1482 ) {
	BLK = 13;
} else
if ( n >= 1482 && n < 1602 ) {
	BLK = 6;
} else
if ( n >= 1602 && n < 1793 ) {
	BLK = 1;
} else
if ( n >= 1793 && n < 1812 ) {
	BLK = 13;
} else
if ( n >= 1812 && n < 1856 ) {
	BLK = 6;
} else
if ( n >= 1856 && n < 1857 ) {
	BLK = 13;
} else
if ( n >= 1857 && n < 1971 ) {
	BLK = 2;
} else
if ( n >= 1971 && n < 2004 ) {
	BLK = 13;
} else
if ( n >= 2004 && n < 2129 ) {
	BLK = 11;
} else
if ( n >= 2129 && n < 2173 ) {
	BLK = 13;
} else
if ( n >= 2173 && n < 2264 ) {
	BLK = 6;
} else
if ( n >= 2264 && n < 2275 ) {
	BLK = 13;
} else
if ( n >= 2275 && n < 3029 ) {
	BLK = 1;
} else
if ( n >= 3029 && n < 3528 ) {
	BLK = 3;
} else
if ( n >= 3528 && n < 3655 ) {
	BLK = 1;
} else
if ( n >= 3655 && n < 4603 ) {
	BLK = 3;
} else
if ( n >= 4603 && n < 4883 ) {
	BLK = 1;
} else
if ( n >= 4883 && n < 5429 ) {
	BLK = 3;
} else
if ( n >= 5429 && n < 5528 ) {
	BLK = 1;
} else
if ( n >= 5528 && n < 6368 ) {
	BLK = 3;
} else
if ( n >= 6368 && n < 6660 ) {
	BLK = 1;
} else
if ( n >= 6660 && n < 7062 ) {
	BLK = 3;
} else
if ( n >= 7062 && n < 7222 ) {
	BLK = 1;
} else
if ( n >= 7222 && n < 8610 ) {
	BLK = 3;
} else
if ( n >= 8610 && n < 8928 ) {
	BLK = 1;
} else
if ( n >= 8928 && n < 1000000 ) {
	BLK = 3;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 3;
}
