#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-L
Thu Sep 28 11:09:35 JST 2017
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972736768
// for double or cuFloatComplex
MAXDIM= 23685
// for float
MAXDIM2= 33495
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11842
// cuda version
CUDA= 7000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1
#define	KERNEL_7	1
#define	KERNEL_8	1
#define	KERNEL_9	1
#define	KERNEL_1	1

if ( n >= 1 && n < 108 ) {
	BLK = 9;
} else
if ( n >= 108 && n < 130 ) {
	BLK = 7;
} else
if ( n >= 130 && n < 156 ) {
	BLK = 8;
} else
if ( n >= 156 && n < 223 ) {
	BLK = 6;
} else
if ( n >= 223 && n < 227 ) {
	BLK = 1;
} else
if ( n >= 227 && n < 286 ) {
	BLK = 5;
} else
if ( n >= 286 && n < 332 ) {
	BLK = 9;
} else
if ( n >= 332 && n < 371 ) {
	BLK = 5;
} else
if ( n >= 371 && n < 504 ) {
	BLK = 9;
} else
if ( n >= 504 && n < 561 ) {
	BLK = 7;
} else
if ( n >= 561 && n < 600 ) {
	BLK = 5;
} else
if ( n >= 600 && n < 640 ) {
	BLK = 6;
} else
if ( n >= 640 && n < 654 ) {
	BLK = 7;
} else
if ( n >= 654 && n < 733 ) {
	BLK = 9;
} else
if ( n >= 733 && n < 756 ) {
	BLK = 7;
} else
if ( n >= 756 && n < 825 ) {
	BLK = 5;
} else
if ( n >= 825 && n < 862 ) {
	BLK = 4;
} else
if ( n >= 862 && n < 876 ) {
	BLK = 9;
} else
if ( n >= 876 && n < 877 ) {
	BLK = 6;
} else
if ( n >= 877 && n < 924 ) {
	BLK = 7;
} else
if ( n >= 924 && n < 987 ) {
	BLK = 4;
} else
if ( n >= 987 && n < 1116 ) {
	BLK = 9;
} else
if ( n >= 1116 && n < 1612 ) {
	BLK = 5;
} else
if ( n >= 1612 && n < 1857 ) {
	BLK = 4;
} else
if ( n >= 1857 && n < 1984 ) {
	BLK = 5;
} else
if ( n >= 1984 && n < 2337 ) {
	BLK = 4;
} else
if ( n >= 2337 && n < 2392 ) {
	BLK = 9;
} else
if ( n >= 2392 && n < 2859 ) {
	BLK = 5;
} else
if ( n >= 2859 && n < 3004 ) {
	BLK = 7;
} else
if ( n >= 3004 && n < 3034 ) {
	BLK = 9;
} else
if ( n >= 3034 && n < 3213 ) {
	BLK = 5;
} else
if ( n >= 3213 && n < 3276 ) {
	BLK = 4;
} else
if ( n >= 3276 && n < 3352 ) {
	BLK = 9;
} else
if ( n >= 3352 && n < 3626 ) {
	BLK = 5;
} else
if ( n >= 3626 && n < 4038 ) {
	BLK = 4;
} else
if ( n >= 4038 && n < 4232 ) {
	BLK = 9;
} else
if ( n >= 4232 && n < 4421 ) {
	BLK = 5;
} else
if ( n >= 4421 && n < 4568 ) {
	BLK = 4;
} else
if ( n >= 4568 && n < 4876 ) {
	BLK = 5;
} else
if ( n >= 4876 && n < 4968 ) {
	BLK = 4;
} else
if ( n >= 4968 && n < 5193 ) {
	BLK = 5;
} else
if ( n >= 5193 && n < 5497 ) {
	BLK = 4;
} else
if ( n >= 5497 && n < 5845 ) {
	BLK = 5;
} else
if ( n >= 5845 && n < 5941 ) {
	BLK = 4;
} else
if ( n >= 5941 && n < 6169 ) {
	BLK = 5;
} else
if ( n >= 6169 && n < 6489 ) {
	BLK = 4;
} else
if ( n >= 6489 && n < 6837 ) {
	BLK = 5;
} else
if ( n >= 6837 && n < 7148 ) {
	BLK = 4;
} else
if ( n >= 7148 && n < 7349 ) {
	BLK = 5;
} else
if ( n >= 7349 && n < 7621 ) {
	BLK = 4;
} else
if ( n >= 7621 && n < 7635 ) {
	BLK = 5;
} else
if ( n >= 7635 && n < 7700 ) {
	BLK = 9;
} else
if ( n >= 7700 && n < 8040 ) {
	BLK = 4;
} else
if ( n >= 8040 && n < 8410 ) {
	BLK = 5;
} else
if ( n >= 8410 && n < 8825 ) {
	BLK = 4;
} else
if ( n >= 8825 && n < 8949 ) {
	BLK = 5;
} else
if ( n >= 8949 && n < 9314 ) {
	BLK = 4;
} else
if ( n >= 9314 && n < 9646 ) {
	BLK = 5;
} else
if ( n >= 9646 && n < 9770 ) {
	BLK = 4;
} else
if ( n >= 9770 && n < 10171 ) {
	BLK = 5;
} else
if ( n >= 10171 && n < 10595 ) {
	BLK = 4;
} else
if ( n >= 10595 && n < 11481 ) {
	BLK = 5;
} else
if ( n >= 11481 && n < 11882 ) {
	BLK = 4;
} else
if ( n >= 11882 && n < 12241 ) {
	BLK = 5;
} else
if ( n >= 12241 && n < 12339 ) {
	BLK = 9;
} else
if ( n >= 12339 && n < 12482 ) {
	BLK = 5;
} else
if ( n >= 12482 && n < 13093 ) {
	BLK = 4;
} else
if ( n >= 13093 && n < 13478 ) {
	BLK = 5;
} else
if ( n >= 13478 && n < 13821 ) {
	BLK = 4;
} else
if ( n >= 13821 && n < 14212 ) {
	BLK = 5;
} else
if ( n >= 14212 && n < 15020 ) {
	BLK = 4;
} else
if ( n >= 15020 && n < 15769 ) {
	BLK = 5;
} else
if ( n >= 15769 && n < 18386 ) {
	BLK = 4;
} else
if ( n >= 18386 && n < 18940 ) {
	BLK = 5;
} else
if ( n >= 18940 && n < 20029 ) {
	BLK = 4;
} else
if ( n >= 20029 && n < 21074 ) {
	BLK = 5;
} else
if ( n >= 21074 && n < 1000000 ) {
	BLK = 4;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 4;
}
