#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-U
Thu Sep 28 04:19:30 JST 2017
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972736768
// for double or cuFloatComplex
MAXDIM= 23685
// for float
MAXDIM2= 33495
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11842
// cuda version
CUDA= 7000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_6	1
#define	KERNEL_8	1
#define	KERNEL_9	1
#define	KERNEL_10	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 112 ) {
	BLK = 2;
} else
if ( n >= 112 && n < 282 ) {
	BLK = 8;
} else
if ( n >= 282 && n < 405 ) {
	BLK = 9;
} else
if ( n >= 405 && n < 441 ) {
	BLK = 2;
} else
if ( n >= 441 && n < 479 ) {
	BLK = 8;
} else
if ( n >= 479 && n < 516 ) {
	BLK = 9;
} else
if ( n >= 516 && n < 741 ) {
	BLK = 8;
} else
if ( n >= 741 && n < 1415 ) {
	BLK = 2;
} else
if ( n >= 1415 && n < 2077 ) {
	BLK = 6;
} else
if ( n >= 2077 && n < 2128 ) {
	BLK = 10;
} else
if ( n >= 2128 && n < 2231 ) {
	BLK = 3;
} else
if ( n >= 2231 && n < 2463 ) {
	BLK = 10;
} else
if ( n >= 2463 && n < 2522 ) {
	BLK = 6;
} else
if ( n >= 2522 && n < 2603 ) {
	BLK = 1;
} else
if ( n >= 2603 && n < 2825 ) {
	BLK = 3;
} else
if ( n >= 2825 && n < 2878 ) {
	BLK = 6;
} else
if ( n >= 2878 && n < 3200 ) {
	BLK = 10;
} else
if ( n >= 3200 && n < 3295 ) {
	BLK = 6;
} else
if ( n >= 3295 && n < 4143 ) {
	BLK = 3;
} else
if ( n >= 4143 && n < 4666 ) {
	BLK = 10;
} else
if ( n >= 4666 && n < 4863 ) {
	BLK = 1;
} else
if ( n >= 4863 && n < 5863 ) {
	BLK = 3;
} else
if ( n >= 5863 && n < 6033 ) {
	BLK = 10;
} else
if ( n >= 6033 && n < 8317 ) {
	BLK = 3;
} else
if ( n >= 8317 && n < 8463 ) {
	BLK = 1;
} else
if ( n >= 8463 && n < 9626 ) {
	BLK = 3;
} else
if ( n >= 9626 && n < 9802 ) {
	BLK = 1;
} else
if ( n >= 9802 && n < 10485 ) {
	BLK = 3;
} else
if ( n >= 10485 && n < 10720 ) {
	BLK = 1;
} else
if ( n >= 10720 && n < 11981 ) {
	BLK = 3;
} else
if ( n >= 11981 && n < 12453 ) {
	BLK = 1;
} else
if ( n >= 12453 && n < 15188 ) {
	BLK = 3;
} else
if ( n >= 15188 && n < 15659 ) {
	BLK = 1;
} else
if ( n >= 15659 && n < 20122 ) {
	BLK = 3;
} else
if ( n >= 20122 && n < 20676 ) {
	BLK = 1;
} else
if ( n >= 20676 && n < 1000000 ) {
	BLK = 3;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 3;
}
