#if 0
<--/****************************************
Automatic Performance Tuning for DSYMV-L
Wed Sep 27 18:40:05 JST 2017
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972736768
// for double or cuFloatComplex
MAXDIM= 23685
// for float
MAXDIM2= 33495
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11842
// cuda version
CUDA= 7000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_6	1
#define	KERNEL_7	1
#define	KERNEL_8	1
#define	KERNEL_9	1
#define	KERNEL_10	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 82 ) {
	BLK = 7;
} else
if ( n >= 82 && n < 118 ) {
	BLK = 2;
} else
if ( n >= 118 && n < 176 ) {
	BLK = 10;
} else
if ( n >= 176 && n < 283 ) {
	BLK = 7;
} else
if ( n >= 283 && n < 330 ) {
	BLK = 10;
} else
if ( n >= 330 && n < 367 ) {
	BLK = 8;
} else
if ( n >= 367 && n < 433 ) {
	BLK = 7;
} else
if ( n >= 433 && n < 457 ) {
	BLK = 10;
} else
if ( n >= 457 && n < 474 ) {
	BLK = 2;
} else
if ( n >= 474 && n < 521 ) {
	BLK = 7;
} else
if ( n >= 521 && n < 562 ) {
	BLK = 1;
} else
if ( n >= 562 && n < 589 ) {
	BLK = 8;
} else
if ( n >= 589 && n < 624 ) {
	BLK = 3;
} else
if ( n >= 624 && n < 640 ) {
	BLK = 7;
} else
if ( n >= 640 && n < 657 ) {
	BLK = 9;
} else
if ( n >= 657 && n < 666 ) {
	BLK = 4;
} else
if ( n >= 666 && n < 708 ) {
	BLK = 10;
} else
if ( n >= 708 && n < 815 ) {
	BLK = 7;
} else
if ( n >= 815 && n < 877 ) {
	BLK = 8;
} else
if ( n >= 877 && n < 883 ) {
	BLK = 4;
} else
if ( n >= 883 && n < 917 ) {
	BLK = 10;
} else
if ( n >= 917 && n < 920 ) {
	BLK = 2;
} else
if ( n >= 920 && n < 972 ) {
	BLK = 3;
} else
if ( n >= 972 && n < 1013 ) {
	BLK = 7;
} else
if ( n >= 1013 && n < 1193 ) {
	BLK = 10;
} else
if ( n >= 1193 && n < 1475 ) {
	BLK = 7;
} else
if ( n >= 1475 && n < 1575 ) {
	BLK = 9;
} else
if ( n >= 1575 && n < 1692 ) {
	BLK = 7;
} else
if ( n >= 1692 && n < 1860 ) {
	BLK = 6;
} else
if ( n >= 1860 && n < 2005 ) {
	BLK = 4;
} else
if ( n >= 2005 && n < 2065 ) {
	BLK = 2;
} else
if ( n >= 2065 && n < 2496 ) {
	BLK = 6;
} else
if ( n >= 2496 && n < 2505 ) {
	BLK = 7;
} else
if ( n >= 2505 && n < 2764 ) {
	BLK = 2;
} else
if ( n >= 2764 && n < 2925 ) {
	BLK = 6;
} else
if ( n >= 2925 && n < 3066 ) {
	BLK = 1;
} else
if ( n >= 3066 && n < 3165 ) {
	BLK = 2;
} else
if ( n >= 3165 && n < 4217 ) {
	BLK = 6;
} else
if ( n >= 4217 && n < 4389 ) {
	BLK = 2;
} else
if ( n >= 4389 && n < 4539 ) {
	BLK = 9;
} else
if ( n >= 4539 && n < 5185 ) {
	BLK = 6;
} else
if ( n >= 5185 && n < 5315 ) {
	BLK = 2;
} else
if ( n >= 5315 && n < 7520 ) {
	BLK = 6;
} else
if ( n >= 7520 && n < 7820 ) {
	BLK = 2;
} else
if ( n >= 7820 && n < 8804 ) {
	BLK = 6;
} else
if ( n >= 8804 && n < 9056 ) {
	BLK = 2;
} else
if ( n >= 9056 && n < 9770 ) {
	BLK = 6;
} else
if ( n >= 9770 && n < 10100 ) {
	BLK = 2;
} else
if ( n >= 10100 && n < 11902 ) {
	BLK = 6;
} else
if ( n >= 11902 && n < 12580 ) {
	BLK = 2;
} else
if ( n >= 12580 && n < 19821 ) {
	BLK = 6;
} else
if ( n >= 19821 && n < 21192 ) {
	BLK = 2;
} else
if ( n >= 21192 && n < 1000000 ) {
	BLK = 6;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 6;
}
