#if 0
<--/****************************************
Automatic Performance Tuning for SSYMV-L
Wed Sep 27 22:14:16 JST 2017
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972736768
// for double or cuFloatComplex
MAXDIM= 23685
// for float
MAXDIM2= 33495
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11842
// cuda version
CUDA= 7000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1
#define	KERNEL_7	1
#define	KERNEL_8	1
#define	KERNEL_10	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 89 ) {
	BLK = 10;
} else
if ( n >= 89 && n < 100 ) {
	BLK = 3;
} else
if ( n >= 100 && n < 162 ) {
	BLK = 2;
} else
if ( n >= 162 && n < 230 ) {
	BLK = 7;
} else
if ( n >= 230 && n < 301 ) {
	BLK = 5;
} else
if ( n >= 301 && n < 312 ) {
	BLK = 7;
} else
if ( n >= 312 && n < 376 ) {
	BLK = 2;
} else
if ( n >= 376 && n < 422 ) {
	BLK = 6;
} else
if ( n >= 422 && n < 470 ) {
	BLK = 5;
} else
if ( n >= 470 && n < 479 ) {
	BLK = 3;
} else
if ( n >= 479 && n < 524 ) {
	BLK = 2;
} else
if ( n >= 524 && n < 575 ) {
	BLK = 6;
} else
if ( n >= 575 && n < 580 ) {
	BLK = 7;
} else
if ( n >= 580 && n < 713 ) {
	BLK = 2;
} else
if ( n >= 713 && n < 725 ) {
	BLK = 5;
} else
if ( n >= 725 && n < 771 ) {
	BLK = 3;
} else
if ( n >= 771 && n < 829 ) {
	BLK = 2;
} else
if ( n >= 829 && n < 878 ) {
	BLK = 7;
} else
if ( n >= 878 && n < 885 ) {
	BLK = 3;
} else
if ( n >= 885 && n < 991 ) {
	BLK = 2;
} else
if ( n >= 991 && n < 1001 ) {
	BLK = 7;
} else
if ( n >= 1001 && n < 1084 ) {
	BLK = 4;
} else
if ( n >= 1084 && n < 1092 ) {
	BLK = 3;
} else
if ( n >= 1092 && n < 1214 ) {
	BLK = 2;
} else
if ( n >= 1214 && n < 1323 ) {
	BLK = 8;
} else
if ( n >= 1323 && n < 1698 ) {
	BLK = 2;
} else
if ( n >= 1698 && n < 1725 ) {
	BLK = 6;
} else
if ( n >= 1725 && n < 1863 ) {
	BLK = 4;
} else
if ( n >= 1863 && n < 2296 ) {
	BLK = 8;
} else
if ( n >= 2296 && n < 2582 ) {
	BLK = 7;
} else
if ( n >= 2582 && n < 2635 ) {
	BLK = 5;
} else
if ( n >= 2635 && n < 2681 ) {
	BLK = 4;
} else
if ( n >= 2681 && n < 2741 ) {
	BLK = 5;
} else
if ( n >= 2741 && n < 2976 ) {
	BLK = 8;
} else
if ( n >= 2976 && n < 3040 ) {
	BLK = 5;
} else
if ( n >= 3040 && n < 3226 ) {
	BLK = 7;
} else
if ( n >= 3226 && n < 3263 ) {
	BLK = 5;
} else
if ( n >= 3263 && n < 3509 ) {
	BLK = 8;
} else
if ( n >= 3509 && n < 3711 ) {
	BLK = 7;
} else
if ( n >= 3711 && n < 3918 ) {
	BLK = 8;
} else
if ( n >= 3918 && n < 4068 ) {
	BLK = 4;
} else
if ( n >= 4068 && n < 4393 ) {
	BLK = 8;
} else
if ( n >= 4393 && n < 4592 ) {
	BLK = 7;
} else
if ( n >= 4592 && n < 4807 ) {
	BLK = 8;
} else
if ( n >= 4807 && n < 5107 ) {
	BLK = 7;
} else
if ( n >= 5107 && n < 6022 ) {
	BLK = 8;
} else
if ( n >= 6022 && n < 6162 ) {
	BLK = 4;
} else
if ( n >= 6162 && n < 6429 ) {
	BLK = 7;
} else
if ( n >= 6429 && n < 7857 ) {
	BLK = 8;
} else
if ( n >= 7857 && n < 8208 ) {
	BLK = 7;
} else
if ( n >= 8208 && n < 9355 ) {
	BLK = 8;
} else
if ( n >= 9355 && n < 9543 ) {
	BLK = 7;
} else
if ( n >= 9543 && n < 18377 ) {
	BLK = 8;
} else
if ( n >= 18377 && n < 19501 ) {
	BLK = 7;
} else
if ( n >= 19501 && n < 21147 ) {
	BLK = 8;
} else
if ( n >= 21147 && n < 21587 ) {
	BLK = 7;
} else
if ( n >= 21587 && n < 1000000 ) {
	BLK = 8;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 8;
}
