#if 0
<--/****************************************
Automatic Performance Tuning for SSYMV-U
Wed Sep 27 14:44:01 JST 2017
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972736768
// for double or cuFloatComplex
MAXDIM= 23685
// for float
MAXDIM2= 33495
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11842
// cuda version
CUDA= 7000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1
#define	KERNEL_7	1
#define	KERNEL_8	1
#define	KERNEL_9	1
#define	KERNEL_10	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 82 ) {
	BLK = 5;
} else
if ( n >= 82 && n < 88 ) {
	BLK = 6;
} else
if ( n >= 88 && n < 111 ) {
	BLK = 4;
} else
if ( n >= 111 && n < 161 ) {
	BLK = 8;
} else
if ( n >= 161 && n < 220 ) {
	BLK = 7;
} else
if ( n >= 220 && n < 232 ) {
	BLK = 6;
} else
if ( n >= 232 && n < 241 ) {
	BLK = 4;
} else
if ( n >= 241 && n < 334 ) {
	BLK = 5;
} else
if ( n >= 334 && n < 380 ) {
	BLK = 4;
} else
if ( n >= 380 && n < 459 ) {
	BLK = 6;
} else
if ( n >= 459 && n < 550 ) {
	BLK = 5;
} else
if ( n >= 550 && n < 606 ) {
	BLK = 6;
} else
if ( n >= 606 && n < 688 ) {
	BLK = 5;
} else
if ( n >= 688 && n < 740 ) {
	BLK = 9;
} else
if ( n >= 740 && n < 742 ) {
	BLK = 7;
} else
if ( n >= 742 && n < 762 ) {
	BLK = 6;
} else
if ( n >= 762 && n < 829 ) {
	BLK = 5;
} else
if ( n >= 829 && n < 874 ) {
	BLK = 6;
} else
if ( n >= 874 && n < 900 ) {
	BLK = 5;
} else
if ( n >= 900 && n < 942 ) {
	BLK = 10;
} else
if ( n >= 942 && n < 977 ) {
	BLK = 4;
} else
if ( n >= 977 && n < 1114 ) {
	BLK = 5;
} else
if ( n >= 1114 && n < 1149 ) {
	BLK = 9;
} else
if ( n >= 1149 && n < 1168 ) {
	BLK = 5;
} else
if ( n >= 1168 && n < 1237 ) {
	BLK = 10;
} else
if ( n >= 1237 && n < 1339 ) {
	BLK = 4;
} else
if ( n >= 1339 && n < 1645 ) {
	BLK = 6;
} else
if ( n >= 1645 && n < 1665 ) {
	BLK = 4;
} else
if ( n >= 1665 && n < 1701 ) {
	BLK = 7;
} else
if ( n >= 1701 && n < 1760 ) {
	BLK = 4;
} else
if ( n >= 1760 && n < 1887 ) {
	BLK = 6;
} else
if ( n >= 1887 && n < 2388 ) {
	BLK = 7;
} else
if ( n >= 2388 && n < 3269 ) {
	BLK = 6;
} else
if ( n >= 3269 && n < 3331 ) {
	BLK = 7;
} else
if ( n >= 3331 && n < 3733 ) {
	BLK = 2;
} else
if ( n >= 3733 && n < 3923 ) {
	BLK = 1;
} else
if ( n >= 3923 && n < 4003 ) {
	BLK = 3;
} else
if ( n >= 4003 && n < 4029 ) {
	BLK = 1;
} else
if ( n >= 4029 && n < 4293 ) {
	BLK = 2;
} else
if ( n >= 4293 && n < 4819 ) {
	BLK = 3;
} else
if ( n >= 4819 && n < 4954 ) {
	BLK = 1;
} else
if ( n >= 4954 && n < 6439 ) {
	BLK = 2;
} else
if ( n >= 6439 && n < 6682 ) {
	BLK = 3;
} else
if ( n >= 6682 && n < 9146 ) {
	BLK = 2;
} else
if ( n >= 9146 && n < 9288 ) {
	BLK = 3;
} else
if ( n >= 9288 && n < 10497 ) {
	BLK = 2;
} else
if ( n >= 10497 && n < 10675 ) {
	BLK = 3;
} else
if ( n >= 10675 && n < 12570 ) {
	BLK = 2;
} else
if ( n >= 12570 && n < 12825 ) {
	BLK = 3;
} else
if ( n >= 12825 && n < 14642 ) {
	BLK = 2;
} else
if ( n >= 14642 && n < 15002 ) {
	BLK = 3;
} else
if ( n >= 15002 && n < 33162 ) {
	BLK = 2;
} else
if ( n >= 33162 && n < 1000000 ) {
	BLK = 3;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 3;
}
