#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-L
Wed Sep 27 08:19:29 JST 2017
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972736768
// for double or cuFloatComplex
MAXDIM= 23685
// for float
MAXDIM2= 33495
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11842
// cuda version
CUDA= 7050
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_6	1
#define	KERNEL_7	1
#define	KERNEL_8	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 100 ) {
	BLK = 6;
} else
if ( n >= 100 && n < 122 ) {
	BLK = 4;
} else
if ( n >= 122 && n < 202 ) {
	BLK = 8;
} else
if ( n >= 202 && n < 219 ) {
	BLK = 3;
} else
if ( n >= 219 && n < 266 ) {
	BLK = 4;
} else
if ( n >= 266 && n < 273 ) {
	BLK = 1;
} else
if ( n >= 273 && n < 318 ) {
	BLK = 8;
} else
if ( n >= 318 && n < 376 ) {
	BLK = 3;
} else
if ( n >= 376 && n < 426 ) {
	BLK = 8;
} else
if ( n >= 426 && n < 462 ) {
	BLK = 3;
} else
if ( n >= 462 && n < 515 ) {
	BLK = 8;
} else
if ( n >= 515 && n < 557 ) {
	BLK = 7;
} else
if ( n >= 557 && n < 629 ) {
	BLK = 8;
} else
if ( n >= 629 && n < 672 ) {
	BLK = 3;
} else
if ( n >= 672 && n < 780 ) {
	BLK = 8;
} else
if ( n >= 780 && n < 808 ) {
	BLK = 2;
} else
if ( n >= 808 && n < 809 ) {
	BLK = 3;
} else
if ( n >= 809 && n < 847 ) {
	BLK = 1;
} else
if ( n >= 847 && n < 874 ) {
	BLK = 4;
} else
if ( n >= 874 && n < 968 ) {
	BLK = 8;
} else
if ( n >= 968 && n < 1000 ) {
	BLK = 4;
} else
if ( n >= 1000 && n < 1078 ) {
	BLK = 3;
} else
if ( n >= 1078 && n < 1176 ) {
	BLK = 8;
} else
if ( n >= 1176 && n < 1325 ) {
	BLK = 4;
} else
if ( n >= 1325 && n < 1491 ) {
	BLK = 3;
} else
if ( n >= 1491 && n < 1593 ) {
	BLK = 1;
} else
if ( n >= 1593 && n < 1857 ) {
	BLK = 8;
} else
if ( n >= 1857 && n < 1896 ) {
	BLK = 3;
} else
if ( n >= 1896 && n < 2038 ) {
	BLK = 4;
} else
if ( n >= 2038 && n < 2409 ) {
	BLK = 3;
} else
if ( n >= 2409 && n < 2529 ) {
	BLK = 8;
} else
if ( n >= 2529 && n < 2742 ) {
	BLK = 4;
} else
if ( n >= 2742 && n < 2940 ) {
	BLK = 3;
} else
if ( n >= 2940 && n < 3253 ) {
	BLK = 8;
} else
if ( n >= 3253 && n < 3423 ) {
	BLK = 3;
} else
if ( n >= 3423 && n < 3584 ) {
	BLK = 8;
} else
if ( n >= 3584 && n < 3647 ) {
	BLK = 3;
} else
if ( n >= 3647 && n < 3957 ) {
	BLK = 8;
} else
if ( n >= 3957 && n < 4456 ) {
	BLK = 3;
} else
if ( n >= 4456 && n < 4855 ) {
	BLK = 8;
} else
if ( n >= 4855 && n < 5082 ) {
	BLK = 3;
} else
if ( n >= 5082 && n < 5486 ) {
	BLK = 8;
} else
if ( n >= 5486 && n < 5778 ) {
	BLK = 3;
} else
if ( n >= 5778 && n < 6988 ) {
	BLK = 8;
} else
if ( n >= 6988 && n < 7142 ) {
	BLK = 3;
} else
if ( n >= 7142 && n < 7596 ) {
	BLK = 8;
} else
if ( n >= 7596 && n < 7661 ) {
	BLK = 3;
} else
if ( n >= 7661 && n < 9797 ) {
	BLK = 8;
} else
if ( n >= 9797 && n < 10044 ) {
	BLK = 3;
} else
if ( n >= 10044 && n < 10606 ) {
	BLK = 8;
} else
if ( n >= 10606 && n < 10824 ) {
	BLK = 3;
} else
if ( n >= 10824 && n < 11453 ) {
	BLK = 8;
} else
if ( n >= 11453 && n < 11566 ) {
	BLK = 3;
} else
if ( n >= 11566 && n < 12134 ) {
	BLK = 8;
} else
if ( n >= 12134 && n < 12468 ) {
	BLK = 3;
} else
if ( n >= 12468 && n < 1000000 ) {
	BLK = 8;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 8;
}
