#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-U
Wed Sep 27 01:26:34 JST 2017
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972736768
// for double or cuFloatComplex
MAXDIM= 23685
// for float
MAXDIM2= 33495
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11842
// cuda version
CUDA= 7050
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1
#define	KERNEL_8	1
#define	KERNEL_9	1
#define	KERNEL_10	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 108 ) {
	BLK = 6;
} else
if ( n >= 108 && n < 123 ) {
	BLK = 4;
} else
if ( n >= 123 && n < 154 ) {
	BLK = 10;
} else
if ( n >= 154 && n < 219 ) {
	BLK = 3;
} else
if ( n >= 219 && n < 237 ) {
	BLK = 8;
} else
if ( n >= 237 && n < 251 ) {
	BLK = 9;
} else
if ( n >= 251 && n < 407 ) {
	BLK = 3;
} else
if ( n >= 407 && n < 456 ) {
	BLK = 10;
} else
if ( n >= 456 && n < 519 ) {
	BLK = 3;
} else
if ( n >= 519 && n < 862 ) {
	BLK = 10;
} else
if ( n >= 862 && n < 1446 ) {
	BLK = 9;
} else
if ( n >= 1446 && n < 1580 ) {
	BLK = 4;
} else
if ( n >= 1580 && n < 1680 ) {
	BLK = 6;
} else
if ( n >= 1680 && n < 1828 ) {
	BLK = 4;
} else
if ( n >= 1828 && n < 1883 ) {
	BLK = 5;
} else
if ( n >= 1883 && n < 2002 ) {
	BLK = 6;
} else
if ( n >= 2002 && n < 2189 ) {
	BLK = 1;
} else
if ( n >= 2189 && n < 2900 ) {
	BLK = 2;
} else
if ( n >= 2900 && n < 3051 ) {
	BLK = 1;
} else
if ( n >= 3051 && n < 3275 ) {
	BLK = 6;
} else
if ( n >= 3275 && n < 5174 ) {
	BLK = 2;
} else
if ( n >= 5174 && n < 5430 ) {
	BLK = 1;
} else
if ( n >= 5430 && n < 6244 ) {
	BLK = 2;
} else
if ( n >= 6244 && n < 6387 ) {
	BLK = 1;
} else
if ( n >= 6387 && n < 7951 ) {
	BLK = 2;
} else
if ( n >= 7951 && n < 8167 ) {
	BLK = 1;
} else
if ( n >= 8167 && n < 9299 ) {
	BLK = 2;
} else
if ( n >= 9299 && n < 9527 ) {
	BLK = 1;
} else
if ( n >= 9527 && n < 13248 ) {
	BLK = 2;
} else
if ( n >= 13248 && n < 13634 ) {
	BLK = 6;
} else
if ( n >= 13634 && n < 1000000 ) {
	BLK = 2;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 2;
}
