#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-L
Mon Sep 25 02:31:50 JST 2017
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972736768
// for double or cuFloatComplex
MAXDIM= 23685
// for float
MAXDIM2= 33495
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11842
// cuda version
CUDA= 9000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_5	1
#define	KERNEL_8	1
#define	KERNEL_9	1
#define	KERNEL_11	1
#define	KERNEL_13	1
#define	KERNEL_1	1
#define	KERNEL_16	1

if ( n >= 1 && n < 101 ) {
	BLK = 16;
} else
if ( n >= 101 && n < 114 ) {
	BLK = 9;
} else
if ( n >= 114 && n < 143 ) {
	BLK = 5;
} else
if ( n >= 143 && n < 230 ) {
	BLK = 1;
} else
if ( n >= 230 && n < 404 ) {
	BLK = 9;
} else
if ( n >= 404 && n < 420 ) {
	BLK = 8;
} else
if ( n >= 420 && n < 427 ) {
	BLK = 13;
} else
if ( n >= 427 && n < 503 ) {
	BLK = 11;
} else
if ( n >= 503 && n < 525 ) {
	BLK = 16;
} else
if ( n >= 525 && n < 541 ) {
	BLK = 9;
} else
if ( n >= 541 && n < 638 ) {
	BLK = 1;
} else
if ( n >= 638 && n < 685 ) {
	BLK = 9;
} else
if ( n >= 685 && n < 694 ) {
	BLK = 1;
} else
if ( n >= 694 && n < 795 ) {
	BLK = 16;
} else
if ( n >= 795 && n < 800 ) {
	BLK = 9;
} else
if ( n >= 800 && n < 877 ) {
	BLK = 1;
} else
if ( n >= 877 && n < 1131 ) {
	BLK = 9;
} else
if ( n >= 1131 && n < 1326 ) {
	BLK = 1;
} else
if ( n >= 1326 && n < 1341 ) {
	BLK = 9;
} else
if ( n >= 1341 && n < 1499 ) {
	BLK = 8;
} else
if ( n >= 1499 && n < 1629 ) {
	BLK = 9;
} else
if ( n >= 1629 && n < 1897 ) {
	BLK = 1;
} else
if ( n >= 1897 && n < 1967 ) {
	BLK = 16;
} else
if ( n >= 1967 && n < 2103 ) {
	BLK = 8;
} else
if ( n >= 2103 && n < 2271 ) {
	BLK = 9;
} else
if ( n >= 2271 && n < 2422 ) {
	BLK = 8;
} else
if ( n >= 2422 && n < 2459 ) {
	BLK = 16;
} else
if ( n >= 2459 && n < 2544 ) {
	BLK = 9;
} else
if ( n >= 2544 && n < 2803 ) {
	BLK = 11;
} else
if ( n >= 2803 && n < 2882 ) {
	BLK = 9;
} else
if ( n >= 2882 && n < 3422 ) {
	BLK = 11;
} else
if ( n >= 3422 && n < 3512 ) {
	BLK = 9;
} else
if ( n >= 3512 && n < 3765 ) {
	BLK = 11;
} else
if ( n >= 3765 && n < 3905 ) {
	BLK = 8;
} else
if ( n >= 3905 && n < 4195 ) {
	BLK = 11;
} else
if ( n >= 4195 && n < 4398 ) {
	BLK = 8;
} else
if ( n >= 4398 && n < 4665 ) {
	BLK = 9;
} else
if ( n >= 4665 && n < 4897 ) {
	BLK = 8;
} else
if ( n >= 4897 && n < 5202 ) {
	BLK = 11;
} else
if ( n >= 5202 && n < 5304 ) {
	BLK = 8;
} else
if ( n >= 5304 && n < 5985 ) {
	BLK = 11;
} else
if ( n >= 5985 && n < 6052 ) {
	BLK = 8;
} else
if ( n >= 6052 && n < 6518 ) {
	BLK = 11;
} else
if ( n >= 6518 && n < 6701 ) {
	BLK = 8;
} else
if ( n >= 6701 && n < 7177 ) {
	BLK = 11;
} else
if ( n >= 7177 && n < 7279 ) {
	BLK = 8;
} else
if ( n >= 7279 && n < 9686 ) {
	BLK = 11;
} else
if ( n >= 9686 && n < 10046 ) {
	BLK = 8;
} else
if ( n >= 10046 && n < 11982 ) {
	BLK = 11;
} else
if ( n >= 11982 && n < 12564 ) {
	BLK = 8;
} else
if ( n >= 12564 && n < 19832 ) {
	BLK = 11;
} else
if ( n >= 19832 && n < 21049 ) {
	BLK = 8;
} else
if ( n >= 21049 && n < 1000000 ) {
	BLK = 11;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 11;
}
