#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-U
Sun Sep 24 11:55:40 JST 2017
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972736768
// for double or cuFloatComplex
MAXDIM= 23685
// for float
MAXDIM2= 33495
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11842
// cuda version
CUDA= 9000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1
#define	KERNEL_7	1
#define	KERNEL_8	1
#define	KERNEL_10	1
#define	KERNEL_11	1
#define	KERNEL_12	1
#define	KERNEL_13	1
#define	KERNEL_14	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 98 ) {
	BLK = 5;
} else
if ( n >= 98 && n < 124 ) {
	BLK = 14;
} else
if ( n >= 124 && n < 170 ) {
	BLK = 8;
} else
if ( n >= 170 && n < 209 ) {
	BLK = 13;
} else
if ( n >= 209 && n < 267 ) {
	BLK = 8;
} else
if ( n >= 267 && n < 321 ) {
	BLK = 6;
} else
if ( n >= 321 && n < 363 ) {
	BLK = 8;
} else
if ( n >= 363 && n < 464 ) {
	BLK = 6;
} else
if ( n >= 464 && n < 543 ) {
	BLK = 8;
} else
if ( n >= 543 && n < 619 ) {
	BLK = 6;
} else
if ( n >= 619 && n < 689 ) {
	BLK = 8;
} else
if ( n >= 689 && n < 726 ) {
	BLK = 11;
} else
if ( n >= 726 && n < 836 ) {
	BLK = 8;
} else
if ( n >= 836 && n < 886 ) {
	BLK = 11;
} else
if ( n >= 886 && n < 1193 ) {
	BLK = 8;
} else
if ( n >= 1193 && n < 1534 ) {
	BLK = 7;
} else
if ( n >= 1534 && n < 1611 ) {
	BLK = 10;
} else
if ( n >= 1611 && n < 1848 ) {
	BLK = 8;
} else
if ( n >= 1848 && n < 1883 ) {
	BLK = 7;
} else
if ( n >= 1883 && n < 2029 ) {
	BLK = 12;
} else
if ( n >= 2029 && n < 2626 ) {
	BLK = 14;
} else
if ( n >= 2626 && n < 2861 ) {
	BLK = 4;
} else
if ( n >= 2861 && n < 3149 ) {
	BLK = 14;
} else
if ( n >= 3149 && n < 3437 ) {
	BLK = 4;
} else
if ( n >= 3437 && n < 3773 ) {
	BLK = 14;
} else
if ( n >= 3773 && n < 3874 ) {
	BLK = 2;
} else
if ( n >= 3874 && n < 3881 ) {
	BLK = 14;
} else
if ( n >= 3881 && n < 4143 ) {
	BLK = 4;
} else
if ( n >= 4143 && n < 5626 ) {
	BLK = 14;
} else
if ( n >= 5626 && n < 5771 ) {
	BLK = 4;
} else
if ( n >= 5771 && n < 6521 ) {
	BLK = 14;
} else
if ( n >= 6521 && n < 7317 ) {
	BLK = 4;
} else
if ( n >= 7317 && n < 7845 ) {
	BLK = 14;
} else
if ( n >= 7845 && n < 8393 ) {
	BLK = 4;
} else
if ( n >= 8393 && n < 8536 ) {
	BLK = 2;
} else
if ( n >= 8536 && n < 9682 ) {
	BLK = 4;
} else
if ( n >= 9682 && n < 9976 ) {
	BLK = 14;
} else
if ( n >= 9976 && n < 11647 ) {
	BLK = 4;
} else
if ( n >= 11647 && n < 11917 ) {
	BLK = 14;
} else
if ( n >= 11917 && n < 13321 ) {
	BLK = 4;
} else
if ( n >= 13321 && n < 13492 ) {
	BLK = 3;
} else
if ( n >= 13492 && n < 13546 ) {
	BLK = 2;
} else
if ( n >= 13546 && n < 15205 ) {
	BLK = 4;
} else
if ( n >= 15205 && n < 15928 ) {
	BLK = 14;
} else
if ( n >= 15928 && n < 16220 ) {
	BLK = 2;
} else
if ( n >= 16220 && n < 23419 ) {
	BLK = 4;
} else
if ( n >= 23419 && n < 1000000 ) {
	BLK = 14;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 14;
}
