set key bottom
set grid
set pointsize 0.3
set yrange [0:]
set title "DSYMVU on a <Tesla K20c>"
set xlabel "[dimension]"
set ylabel "[GFLOPS]"
set term post eps color
set output "plot_data_K20c_DSYMVU.eps"
plot   "log-ASPEN.K2-1.6-DSYMVU-K20c-367.57" u 2:($5<2*68.069?$5:-1000) t "log-ASPEN.K2-1.6-DSYMVU-K20c-367.57" , "log-CUDA-8.0-DSYMVU-K20c-367.57" u 2:($5<2*68.069?$5:-1000) t "log-CUDA-8.0-DSYMVU-K20c-367.57" , "log-CUDA-8.0-DSYMVUnoAtomic-K20c-367.57" u 2:($5<2*68.069?$5:-1000) t "log-CUDA-8.0-DSYMVUnoAtomic-K20c-367.57" 
clear
set term png
set output "plot_data_K20c_DSYMVU.png"
plot   "log-ASPEN.K2-1.6-DSYMVU-K20c-367.57" u 2:($5<2*68.069?$5:-1000) t "log-ASPEN.K2-1.6-DSYMVU-K20c-367.57" , "log-CUDA-8.0-DSYMVU-K20c-367.57" u 2:($5<2*68.069?$5:-1000) t "log-CUDA-8.0-DSYMVU-K20c-367.57" , "log-CUDA-8.0-DSYMVUnoAtomic-K20c-367.57" u 2:($5<2*68.069?$5:-1000) t "log-CUDA-8.0-DSYMVUnoAtomic-K20c-367.57" 
clear
exit
