set key bottom
set grid
set pointsize 0.3
set yrange [0:]
set title "ZHEMVL on a <GeForce GTX1080>"
set xlabel "[dimension]"
set ylabel "[GFLOPS]"
set term post eps color
set output "plot_data_1080_ZHEMVL.eps"
plot   "log-ASPEN.K2-1.6-ZHEMVL-GTX1080-367.57" u 2:($5<2*215.373?$5:-1000) t "log-ASPEN.K2-1.6-ZHEMVL-GTX1080-367.57" , "log-CUDA-8.0-ZHEMVL-GTX1080-367.57" u 2:($5<2*215.373?$5:-1000) t "log-CUDA-8.0-ZHEMVL-GTX1080-367.57" , "log-CUDA-8.0-ZHEMVLnoAtomic-GTX1080-367.57" u 2:($5<2*215.373?$5:-1000) t "log-CUDA-8.0-ZHEMVLnoAtomic-GTX1080-367.57" 
clear
set term png
set output "plot_data_1080_ZHEMVL.png"
plot   "log-ASPEN.K2-1.6-ZHEMVL-GTX1080-367.57" u 2:($5<2*215.373?$5:-1000) t "log-ASPEN.K2-1.6-ZHEMVL-GTX1080-367.57" , "log-CUDA-8.0-ZHEMVL-GTX1080-367.57" u 2:($5<2*215.373?$5:-1000) t "log-CUDA-8.0-ZHEMVL-GTX1080-367.57" , "log-CUDA-8.0-ZHEMVLnoAtomic-GTX1080-367.57" u 2:($5<2*215.373?$5:-1000) t "log-CUDA-8.0-ZHEMVLnoAtomic-GTX1080-367.57" 
clear
exit
